import{S as cp,i as dp,s as pp,e as s,k as u,w as $,t as c,M as up,c as n,d as a,m,a as r,x as w,h as d,b as f,G as e,g as b,y,q as E,o as x,B as q,v as mp,L as A}from"../../chunks/vendor-hf-doc-builder.js";import{T as zs}from"../../chunks/Tip-hf-doc-builder.js";import{D as j}from"../../chunks/Docstring-hf-doc-builder.js";import{C as I}from"../../chunks/CodeBlock-hf-doc-builder.js";import{I as G}from"../../chunks/IconCopyLink-hf-doc-builder.js";import{E as D}from"../../chunks/ExampleCodeBlock-hf-doc-builder.js";function fp(k){let l,v,i,p,_;return p=new I({props:{code:`from evaluate import evaluator
# Sentiment analysis evaluator
evaluator("sentiment-analysis")`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> evaluate <span class="hljs-keyword">import</span> evaluator
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Sentiment analysis evaluator</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>evaluator(<span class="hljs-string">&quot;sentiment-analysis&quot;</span>)`}}),{c(){l=s("p"),v=c("Examples:"),i=u(),$(p.$$.fragment)},l(o){l=n(o,"P",{});var g=r(l);v=d(g,"Examples:"),g.forEach(a),i=m(o),w(p.$$.fragment,o)},m(o,g){b(o,l,g),e(l,v),b(o,i,g),y(p,o,g),_=!0},p:A,i(o){_||(E(p.$$.fragment,o),_=!0)},o(o){x(p.$$.fragment,o),_=!1},d(o){o&&a(l),o&&a(i),q(p,o)}}}function gp(k){let l,v,i,p,_;return p=new I({props:{code:`from datasets import load_dataset
from evaluate import evaluator
data = load_dataset("rotten_tomatoes', split="train")
evaluator.check_required_columns(data, {"input_column": "text", "label_column": "label"})`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> evaluate <span class="hljs-keyword">import</span> evaluator
<span class="hljs-meta">&gt;&gt;&gt; </span>data = load_dataset(<span class="hljs-string">&quot;rotten_tomatoes&#x27;, split=&quot;</span>train<span class="hljs-string">&quot;)
&gt;&gt;&gt; evaluator.check_required_columns(data, {&quot;</span>input_column<span class="hljs-string">&quot;: &quot;</span>text<span class="hljs-string">&quot;, &quot;</span>label_column<span class="hljs-string">&quot;: &quot;</span>label<span class="hljs-string">&quot;})</span>`}}),{c(){l=s("p"),v=c("Example:"),i=u(),$(p.$$.fragment)},l(o){l=n(o,"P",{});var g=r(l);v=d(g,"Example:"),g.forEach(a),i=m(o),w(p.$$.fragment,o)},m(o,g){b(o,l,g),e(l,v),b(o,i,g),y(p,o,g),_=!0},p:A,i(o){_||(E(p.$$.fragment,o),_=!0)},o(o){x(p.$$.fragment,o),_=!1},d(o){o&&a(l),o&&a(i),q(p,o)}}}function hp(k){let l,v,i,p,_;return p=new I({props:{code:`from evaluate import evaluator
evaluator("text-classification").get_dataset_split(data="rotten_tomatoes")`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> evaluate <span class="hljs-keyword">import</span> evaluator
<span class="hljs-meta">&gt;&gt;&gt; </span>evaluator(<span class="hljs-string">&quot;text-classification&quot;</span>).get_dataset_split(data=<span class="hljs-string">&quot;rotten_tomatoes&quot;</span>)
WARNING:evaluate.evaluator.base:Dataset split <span class="hljs-keyword">not</span> defined! Automatically evaluating <span class="hljs-keyword">with</span> split: TEST
<span class="hljs-string">&#x27;test&#x27;</span>`}}),{c(){l=s("p"),v=c("Example:"),i=u(),$(p.$$.fragment)},l(o){l=n(o,"P",{});var g=r(l);v=d(g,"Example:"),g.forEach(a),i=m(o),w(p.$$.fragment,o)},m(o,g){b(o,l,g),e(l,v),b(o,i,g),y(p,o,g),_=!0},p:A,i(o){_||(E(p.$$.fragment,o),_=!0)},o(o){x(p.$$.fragment,o),_=!1},d(o){o&&a(l),o&&a(i),q(p,o)}}}function vp(k){let l,v,i,p,_;return p=new I({props:{code:`from evaluate import evaluator
evaluator("text-classification").load_data(data="rotten_tomatoes", split="train")`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> evaluate <span class="hljs-keyword">import</span> evaluator
<span class="hljs-meta">&gt;&gt;&gt; </span>evaluator(<span class="hljs-string">&quot;text-classification&quot;</span>).load_data(data=<span class="hljs-string">&quot;rotten_tomatoes&quot;</span>, split=<span class="hljs-string">&quot;train&quot;</span>)
Dataset({
    features: [<span class="hljs-string">&#x27;text&#x27;</span>, <span class="hljs-string">&#x27;label&#x27;</span>],
    num_rows: <span class="hljs-number">8530</span>
})`}}),{c(){l=s("p"),v=c("Example:"),i=u(),$(p.$$.fragment)},l(o){l=n(o,"P",{});var g=r(l);v=d(g,"Example:"),g.forEach(a),i=m(o),w(p.$$.fragment,o)},m(o,g){b(o,l,g),e(l,v),b(o,i,g),y(p,o,g),_=!0},p:A,i(o){_||(E(p.$$.fragment,o),_=!0)},o(o){x(p.$$.fragment,o),_=!1},d(o){o&&a(l),o&&a(i),q(p,o)}}}function _p(k){let l,v,i,p,_;return p=new I({props:{code:`from evaluate import evaluator
from datasets import load_dataset

ds = load_dataset("rotten_tomatoes", split="train")
evaluator("text-classification").prepare_data(ds, input_column="text", second_input_column=None, label_column="label")`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> evaluate <span class="hljs-keyword">import</span> evaluator
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset

<span class="hljs-meta">&gt;&gt;&gt; </span>ds = load_dataset(<span class="hljs-string">&quot;rotten_tomatoes&quot;</span>, split=<span class="hljs-string">&quot;train&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>evaluator(<span class="hljs-string">&quot;text-classification&quot;</span>).prepare_data(ds, input_column=<span class="hljs-string">&quot;text&quot;</span>, second_input_column=<span class="hljs-literal">None</span>, label_column=<span class="hljs-string">&quot;label&quot;</span>)`}}),{c(){l=s("p"),v=c("Example:"),i=u(),$(p.$$.fragment)},l(o){l=n(o,"P",{});var g=r(l);v=d(g,"Example:"),g.forEach(a),i=m(o),w(p.$$.fragment,o)},m(o,g){b(o,l,g),e(l,v),b(o,i,g),y(p,o,g),_=!0},p:A,i(o){_||(E(p.$$.fragment,o),_=!0)},o(o){x(p.$$.fragment,o),_=!1},d(o){o&&a(l),o&&a(i),q(p,o)}}}function bp(k){let l,v,i,p,_;return p=new I({props:{code:`from evaluate import evaluator
evaluator("text-classification").prepare_metric("accuracy")`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> evaluate <span class="hljs-keyword">import</span> evaluator
<span class="hljs-meta">&gt;&gt;&gt; </span>evaluator(<span class="hljs-string">&quot;text-classification&quot;</span>).prepare_metric(<span class="hljs-string">&quot;accuracy&quot;</span>)`}}),{c(){l=s("p"),v=c("Example:"),i=u(),$(p.$$.fragment)},l(o){l=n(o,"P",{});var g=r(l);v=d(g,"Example:"),g.forEach(a),i=m(o),w(p.$$.fragment,o)},m(o,g){b(o,l,g),e(l,v),b(o,i,g),y(p,o,g),_=!0},p:A,i(o){_||(E(p.$$.fragment,o),_=!0)},o(o){x(p.$$.fragment,o),_=!1},d(o){o&&a(l),o&&a(i),q(p,o)}}}function $p(k){let l,v,i,p,_;return p=new I({props:{code:`from evaluate import evaluator
evaluator("text-classification").prepare_pipeline(model_or_pipeline="distilbert-base-uncased")`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> evaluate <span class="hljs-keyword">import</span> evaluator
<span class="hljs-meta">&gt;&gt;&gt; </span>evaluator(<span class="hljs-string">&quot;text-classification&quot;</span>).prepare_pipeline(model_or_pipeline=<span class="hljs-string">&quot;distilbert-base-uncased&quot;</span>)`}}),{c(){l=s("p"),v=c("Example:"),i=u(),$(p.$$.fragment)},l(o){l=n(o,"P",{});var g=r(l);v=d(g,"Example:"),g.forEach(a),i=m(o),w(p.$$.fragment,o)},m(o,g){b(o,l,g),e(l,v),b(o,i,g),y(p,o,g),_=!0},p:A,i(o){_||(E(p.$$.fragment,o),_=!0)},o(o){x(p.$$.fragment,o),_=!1},d(o){o&&a(l),o&&a(i),q(p,o)}}}function wp(k){let l,v,i,p,_;return p=new I({props:{code:`from evaluate import evaluator
from datasets import load_dataset
task_evaluator = evaluator("image-classification")
data = load_dataset("beans", split="test[:40]")
results = task_evaluator.compute(
    model_or_pipeline="nateraw/vit-base-beans",
    data=data,
    label_column="labels",
    metric="accuracy",
    label_mapping={'angular_leaf_spot': 0, 'bean_rust': 1, 'healthy': 2},
    strategy="bootstrap"
)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> evaluate <span class="hljs-keyword">import</span> evaluator
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset
<span class="hljs-meta">&gt;&gt;&gt; </span>task_evaluator = evaluator(<span class="hljs-string">&quot;image-classification&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>data = load_dataset(<span class="hljs-string">&quot;beans&quot;</span>, split=<span class="hljs-string">&quot;test[:40]&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>results = task_evaluator.compute(
<span class="hljs-meta">&gt;&gt;&gt; </span>    model_or_pipeline=<span class="hljs-string">&quot;nateraw/vit-base-beans&quot;</span>,
<span class="hljs-meta">&gt;&gt;&gt; </span>    data=data,
<span class="hljs-meta">&gt;&gt;&gt; </span>    label_column=<span class="hljs-string">&quot;labels&quot;</span>,
<span class="hljs-meta">&gt;&gt;&gt; </span>    metric=<span class="hljs-string">&quot;accuracy&quot;</span>,
<span class="hljs-meta">&gt;&gt;&gt; </span>    label_mapping={<span class="hljs-string">&#x27;angular_leaf_spot&#x27;</span>: <span class="hljs-number">0</span>, <span class="hljs-string">&#x27;bean_rust&#x27;</span>: <span class="hljs-number">1</span>, <span class="hljs-string">&#x27;healthy&#x27;</span>: <span class="hljs-number">2</span>},
<span class="hljs-meta">&gt;&gt;&gt; </span>    strategy=<span class="hljs-string">&quot;bootstrap&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>)`}}),{c(){l=s("p"),v=c("Examples:"),i=u(),$(p.$$.fragment)},l(o){l=n(o,"P",{});var g=r(l);v=d(g,"Examples:"),g.forEach(a),i=m(o),w(p.$$.fragment,o)},m(o,g){b(o,l,g),e(l,v),b(o,i,g),y(p,o,g),_=!0},p:A,i(o){_||(E(p.$$.fragment,o),_=!0)},o(o){x(p.$$.fragment,o),_=!1},d(o){o&&a(l),o&&a(i),q(p,o)}}}function yp(k){let l,v,i,p,_;return p=new I({props:{code:`from evaluate import evaluator
from datasets import load_dataset
task_evaluator = evaluator("question-answering")
data = load_dataset("squad", split="validation[:2]")
results = task_evaluator.compute(
    model_or_pipeline="sshleifer/tiny-distilbert-base-cased-distilled-squad",
    data=data,
    metric="squad",
)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> evaluate <span class="hljs-keyword">import</span> evaluator
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset
<span class="hljs-meta">&gt;&gt;&gt; </span>task_evaluator = evaluator(<span class="hljs-string">&quot;question-answering&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>data = load_dataset(<span class="hljs-string">&quot;squad&quot;</span>, split=<span class="hljs-string">&quot;validation[:2]&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>results = task_evaluator.compute(
<span class="hljs-meta">&gt;&gt;&gt; </span>    model_or_pipeline=<span class="hljs-string">&quot;sshleifer/tiny-distilbert-base-cased-distilled-squad&quot;</span>,
<span class="hljs-meta">&gt;&gt;&gt; </span>    data=data,
<span class="hljs-meta">&gt;&gt;&gt; </span>    metric=<span class="hljs-string">&quot;squad&quot;</span>,
<span class="hljs-meta">&gt;&gt;&gt; </span>)`}}),{c(){l=s("p"),v=c("Examples:"),i=u(),$(p.$$.fragment)},l(o){l=n(o,"P",{});var g=r(l);v=d(g,"Examples:"),g.forEach(a),i=m(o),w(p.$$.fragment,o)},m(o,g){b(o,l,g),e(l,v),b(o,i,g),y(p,o,g),_=!0},p:A,i(o){_||(E(p.$$.fragment,o),_=!0)},o(o){x(p.$$.fragment,o),_=!1},d(o){o&&a(l),o&&a(i),q(p,o)}}}function Ep(k){let l,v,i,p,_;return{c(){l=s("p"),v=c("Datasets where the answer may be missing in the context are supported, for example SQuAD v2 dataset. In this case, it is safer to pass "),i=s("code"),p=c("squad_v2_format=True"),_=c(` to
the compute() call.`)},l(o){l=n(o,"P",{});var g=r(l);v=d(g,"Datasets where the answer may be missing in the context are supported, for example SQuAD v2 dataset. In this case, it is safer to pass "),i=n(g,"CODE",{});var z=r(i);p=d(z,"squad_v2_format=True"),z.forEach(a),_=d(g,` to
the compute() call.`),g.forEach(a)},m(o,g){b(o,l,g),e(l,v),e(l,i),e(i,p),e(l,_)},d(o){o&&a(l)}}}function xp(k){let l,v;return l=new I({props:{code:`from evaluate import evaluator
from datasets import load_dataset
task_evaluator = evaluator("question-answering")
data = load_dataset("squad_v2", split="validation[:2]")
results = task_evaluator.compute(
    model_or_pipeline="mrm8488/bert-tiny-finetuned-squadv2",
    data=data,
    metric="squad_v2",
    squad_v2_format=True,
)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> evaluate <span class="hljs-keyword">import</span> evaluator
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset
<span class="hljs-meta">&gt;&gt;&gt; </span>task_evaluator = evaluator(<span class="hljs-string">&quot;question-answering&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>data = load_dataset(<span class="hljs-string">&quot;squad_v2&quot;</span>, split=<span class="hljs-string">&quot;validation[:2]&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>results = task_evaluator.compute(
<span class="hljs-meta">&gt;&gt;&gt; </span>    model_or_pipeline=<span class="hljs-string">&quot;mrm8488/bert-tiny-finetuned-squadv2&quot;</span>,
<span class="hljs-meta">&gt;&gt;&gt; </span>    data=data,
<span class="hljs-meta">&gt;&gt;&gt; </span>    metric=<span class="hljs-string">&quot;squad_v2&quot;</span>,
<span class="hljs-meta">&gt;&gt;&gt; </span>    squad_v2_format=<span class="hljs-literal">True</span>,
<span class="hljs-meta">&gt;&gt;&gt; </span>)`}}),{c(){$(l.$$.fragment)},l(i){w(l.$$.fragment,i)},m(i,p){y(l,i,p),v=!0},p:A,i(i){v||(E(l.$$.fragment,i),v=!0)},o(i){x(l.$$.fragment,i),v=!1},d(i){q(l,i)}}}function qp(k){let l,v,i,p,_;return p=new I({props:{code:`from evaluate import evaluator
from datasets import load_dataset
task_evaluator = evaluator("text-classification")
data = load_dataset("imdb", split="test[:2]")
results = task_evaluator.compute(
    model_or_pipeline="huggingface/prunebert-base-uncased-6-finepruned-w-distil-mnli",
    data=data,
    metric="accuracy",
    label_mapping={"LABEL_0": 0.0, "LABEL_1": 1.0},
    strategy="bootstrap",
    n_resamples=10,
    random_state=0
)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> evaluate <span class="hljs-keyword">import</span> evaluator
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset
<span class="hljs-meta">&gt;&gt;&gt; </span>task_evaluator = evaluator(<span class="hljs-string">&quot;text-classification&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>data = load_dataset(<span class="hljs-string">&quot;imdb&quot;</span>, split=<span class="hljs-string">&quot;test[:2]&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>results = task_evaluator.compute(
<span class="hljs-meta">&gt;&gt;&gt; </span>    model_or_pipeline=<span class="hljs-string">&quot;huggingface/prunebert-base-uncased-6-finepruned-w-distil-mnli&quot;</span>,
<span class="hljs-meta">&gt;&gt;&gt; </span>    data=data,
<span class="hljs-meta">&gt;&gt;&gt; </span>    metric=<span class="hljs-string">&quot;accuracy&quot;</span>,
<span class="hljs-meta">&gt;&gt;&gt; </span>    label_mapping={<span class="hljs-string">&quot;LABEL_0&quot;</span>: <span class="hljs-number">0.0</span>, <span class="hljs-string">&quot;LABEL_1&quot;</span>: <span class="hljs-number">1.0</span>},
<span class="hljs-meta">&gt;&gt;&gt; </span>    strategy=<span class="hljs-string">&quot;bootstrap&quot;</span>,
<span class="hljs-meta">&gt;&gt;&gt; </span>    n_resamples=<span class="hljs-number">10</span>,
<span class="hljs-meta">&gt;&gt;&gt; </span>    random_state=<span class="hljs-number">0</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>)`}}),{c(){l=s("p"),v=c("Examples:"),i=u(),$(p.$$.fragment)},l(o){l=n(o,"P",{});var g=r(l);v=d(g,"Examples:"),g.forEach(a),i=m(o),w(p.$$.fragment,o)},m(o,g){b(o,l,g),e(l,v),b(o,i,g),y(p,o,g),_=!0},p:A,i(o){_||(E(p.$$.fragment,o),_=!0)},o(o){x(p.$$.fragment,o),_=!1},d(o){o&&a(l),o&&a(i),q(p,o)}}}function kp(k){let l,v,i,p,_;return p=new I({props:{code:`from evaluate import evaluator
from datasets import load_dataset
task_evaluator = evaluator("token-classification")
data = load_dataset("conll2003", split="validation[:2]")
results = task_evaluator.compute(
    model_or_pipeline="elastic/distilbert-base-uncased-finetuned-conll03-english",
    data=data,
    metric="seqeval",
)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> evaluate <span class="hljs-keyword">import</span> evaluator
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset
<span class="hljs-meta">&gt;&gt;&gt; </span>task_evaluator = evaluator(<span class="hljs-string">&quot;token-classification&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>data = load_dataset(<span class="hljs-string">&quot;conll2003&quot;</span>, split=<span class="hljs-string">&quot;validation[:2]&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>results = task_evaluator.compute(
<span class="hljs-meta">&gt;&gt;&gt; </span>    model_or_pipeline=<span class="hljs-string">&quot;elastic/distilbert-base-uncased-finetuned-conll03-english&quot;</span>,
<span class="hljs-meta">&gt;&gt;&gt; </span>    data=data,
<span class="hljs-meta">&gt;&gt;&gt; </span>    metric=<span class="hljs-string">&quot;seqeval&quot;</span>,
<span class="hljs-meta">&gt;&gt;&gt; </span>)`}}),{c(){l=s("p"),v=c("Examples:"),i=u(),$(p.$$.fragment)},l(o){l=n(o,"P",{});var g=r(l);v=d(g,"Examples:"),g.forEach(a),i=m(o),w(p.$$.fragment,o)},m(o,g){b(o,l,g),e(l,v),b(o,i,g),y(p,o,g),_=!0},p:A,i(o){_||(E(p.$$.fragment,o),_=!0)},o(o){x(p.$$.fragment,o),_=!1},d(o){o&&a(l),o&&a(i),q(p,o)}}}function jp(k){let l,v,i,p,_;return p=new I({props:{code:`dataset = Dataset.from_dict(
    mapping={
        "tokens": [["New", "York", "is", "a", "city", "and", "Felix", "a", "person", "."]],
        "ner_tags": [[1, 2, 0, 0, 0, 0, 3, 0, 0, 0]],
    },
    features=Features({
        "tokens": Sequence(feature=Value(dtype="string")),
        "ner_tags": Sequence(feature=ClassLabel(names=["O", "B-LOC", "I-LOC", "B-PER", "I-PER"])),
        }),
)`,highlighted:`dataset = Dataset.from_dict(
    mapping={
        <span class="hljs-string">&quot;tokens&quot;</span>: [[<span class="hljs-string">&quot;New&quot;</span>, <span class="hljs-string">&quot;York&quot;</span>, <span class="hljs-string">&quot;is&quot;</span>, <span class="hljs-string">&quot;a&quot;</span>, <span class="hljs-string">&quot;city&quot;</span>, <span class="hljs-string">&quot;and&quot;</span>, <span class="hljs-string">&quot;Felix&quot;</span>, <span class="hljs-string">&quot;a&quot;</span>, <span class="hljs-string">&quot;person&quot;</span>, <span class="hljs-string">&quot;.&quot;</span>]],
        <span class="hljs-string">&quot;ner_tags&quot;</span>: [[<span class="hljs-number">1</span>, <span class="hljs-number">2</span>, <span class="hljs-number">0</span>, <span class="hljs-number">0</span>, <span class="hljs-number">0</span>, <span class="hljs-number">0</span>, <span class="hljs-number">3</span>, <span class="hljs-number">0</span>, <span class="hljs-number">0</span>, <span class="hljs-number">0</span>]],
    },
    features=Features({
        <span class="hljs-string">&quot;tokens&quot;</span>: <span class="hljs-type">Sequence</span>(feature=Value(dtype=<span class="hljs-string">&quot;string&quot;</span>)),
        <span class="hljs-string">&quot;ner_tags&quot;</span>: <span class="hljs-type">Sequence</span>(feature=ClassLabel(names=[<span class="hljs-string">&quot;O&quot;</span>, <span class="hljs-string">&quot;B-LOC&quot;</span>, <span class="hljs-string">&quot;I-LOC&quot;</span>, <span class="hljs-string">&quot;B-PER&quot;</span>, <span class="hljs-string">&quot;I-PER&quot;</span>])),
        }),
)`}}),{c(){l=s("p"),v=c("For example, the following dataset format is accepted by the evaluator:"),i=u(),$(p.$$.fragment)},l(o){l=n(o,"P",{});var g=r(l);v=d(g,"For example, the following dataset format is accepted by the evaluator:"),g.forEach(a),i=m(o),w(p.$$.fragment,o)},m(o,g){b(o,l,g),e(l,v),b(o,i,g),y(p,o,g),_=!0},p:A,i(o){_||(E(p.$$.fragment,o),_=!0)},o(o){x(p.$$.fragment,o),_=!1},d(o){o&&a(l),o&&a(i),q(p,o)}}}function Tp(k){let l,v;return l=new D({props:{anchor:"evaluate.TokenClassificationEvaluator.compute.example-2",$$slots:{default:[jp]},$$scope:{ctx:k}}}),{c(){$(l.$$.fragment)},l(i){w(l.$$.fragment,i)},m(i,p){y(l,i,p),v=!0},p(i,p){const _={};p&2&&(_.$$scope={dirty:p,ctx:i}),l.$set(_)},i(i){v||(E(l.$$.fragment,i),v=!0)},o(i){x(l.$$.fragment,i),v=!1},d(i){q(l,i)}}}function Np(k){let l,v,i,p,_,o,g,z;return g=new I({props:{code:`dataset = Dataset.from_dict(
    mapping={
        "tokens": [["New York is a city and Felix a person."]],
        "starts": [[0, 23]],
        "ends": [[7, 27]],
        "ner_tags": [["LOC", "PER"]],
    },
    features=Features({
        "tokens": Value(dtype="string"),
        "starts": Sequence(feature=Value(dtype="int32")),
        "ends": Sequence(feature=Value(dtype="int32")),
        "ner_tags": Sequence(feature=Value(dtype="string")),
    }),
)`,highlighted:`dataset = Dataset.from_dict(
    mapping={
        <span class="hljs-string">&quot;tokens&quot;</span>: [[<span class="hljs-string">&quot;New York is a city and Felix a person.&quot;</span>]],
        <span class="hljs-string">&quot;starts&quot;</span>: [[<span class="hljs-number">0</span>, <span class="hljs-number">23</span>]],
        <span class="hljs-string">&quot;ends&quot;</span>: [[<span class="hljs-number">7</span>, <span class="hljs-number">27</span>]],
        <span class="hljs-string">&quot;ner_tags&quot;</span>: [[<span class="hljs-string">&quot;LOC&quot;</span>, <span class="hljs-string">&quot;PER&quot;</span>]],
    },
    features=Features({
        <span class="hljs-string">&quot;tokens&quot;</span>: Value(dtype=<span class="hljs-string">&quot;string&quot;</span>),
        <span class="hljs-string">&quot;starts&quot;</span>: <span class="hljs-type">Sequence</span>(feature=Value(dtype=<span class="hljs-string">&quot;int32&quot;</span>)),
        <span class="hljs-string">&quot;ends&quot;</span>: <span class="hljs-type">Sequence</span>(feature=Value(dtype=<span class="hljs-string">&quot;int32&quot;</span>)),
        <span class="hljs-string">&quot;ner_tags&quot;</span>: <span class="hljs-type">Sequence</span>(feature=Value(dtype=<span class="hljs-string">&quot;string&quot;</span>)),
    }),
)`}}),{c(){l=s("p"),v=c("For example, the following dataset format is "),i=s("strong"),p=c("not"),_=c(" accepted by the evaluator:"),o=u(),$(g.$$.fragment)},l(P){l=n(P,"P",{});var R=r(l);v=d(R,"For example, the following dataset format is "),i=n(R,"STRONG",{});var ye=r(i);p=d(ye,"not"),ye.forEach(a),_=d(R," accepted by the evaluator:"),R.forEach(a),o=m(P),w(g.$$.fragment,P)},m(P,R){b(P,l,R),e(l,v),e(l,i),e(i,p),e(l,_),b(P,o,R),y(g,P,R),z=!0},p:A,i(P){z||(E(g.$$.fragment,P),z=!0)},o(P){x(g.$$.fragment,P),z=!1},d(P){P&&a(l),P&&a(o),q(g,P)}}}function Pp(k){let l,v;return l=new D({props:{anchor:"evaluate.TokenClassificationEvaluator.compute.example-3",$$slots:{default:[Np]},$$scope:{ctx:k}}}),{c(){$(l.$$.fragment)},l(i){w(l.$$.fragment,i)},m(i,p){y(l,i,p),v=!0},p(i,p){const _={};p&2&&(_.$$scope={dirty:p,ctx:i}),l.$set(_)},i(i){v||(E(l.$$.fragment,i),v=!0)},o(i){x(l.$$.fragment,i),v=!1},d(i){q(l,i)}}}function Cp(k){let l,v,i,p,_;return p=new I({props:{code:`from evaluate import evaluator
from datasets import load_dataset
task_evaluator = evaluator("automatic-speech-recognition")
data = load_dataset("mozilla-foundation/common_voice_11_0", "en", split="validation[:40]")
results = task_evaluator.compute(
    model_or_pipeline="https://huggingface.co/openai/whisper-tiny.en",
    data=data,
    input_column="path",
    label_column="sentence",
    metric="wer",
)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> evaluate <span class="hljs-keyword">import</span> evaluator
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset
<span class="hljs-meta">&gt;&gt;&gt; </span>task_evaluator = evaluator(<span class="hljs-string">&quot;automatic-speech-recognition&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>data = load_dataset(<span class="hljs-string">&quot;mozilla-foundation/common_voice_11_0&quot;</span>, <span class="hljs-string">&quot;en&quot;</span>, split=<span class="hljs-string">&quot;validation[:40]&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>results = task_evaluator.compute(
<span class="hljs-meta">&gt;&gt;&gt; </span>    model_or_pipeline=<span class="hljs-string">&quot;https://huggingface.co/openai/whisper-tiny.en&quot;</span>,
<span class="hljs-meta">&gt;&gt;&gt; </span>    data=data,
<span class="hljs-meta">&gt;&gt;&gt; </span>    input_column=<span class="hljs-string">&quot;path&quot;</span>,
<span class="hljs-meta">&gt;&gt;&gt; </span>    label_column=<span class="hljs-string">&quot;sentence&quot;</span>,
<span class="hljs-meta">&gt;&gt;&gt; </span>    metric=<span class="hljs-string">&quot;wer&quot;</span>,
<span class="hljs-meta">&gt;&gt;&gt; </span>)`}}),{c(){l=s("p"),v=c("Examples:"),i=u(),$(p.$$.fragment)},l(o){l=n(o,"P",{});var g=r(l);v=d(g,"Examples:"),g.forEach(a),i=m(o),w(p.$$.fragment,o)},m(o,g){b(o,l,g),e(l,v),b(o,i,g),y(p,o,g),_=!0},p:A,i(o){_||(E(p.$$.fragment,o),_=!0)},o(o){x(p.$$.fragment,o),_=!1},d(o){o&&a(l),o&&a(i),q(p,o)}}}function Dp(k){let l,v,i,p,_;return{c(){l=s("p"),v=c("Remember that, in order to process audio files, you need ffmpeg installed ("),i=s("a"),p=c("https://ffmpeg.org/download.html"),_=c(")"),this.h()},l(o){l=n(o,"P",{});var g=r(l);v=d(g,"Remember that, in order to process audio files, you need ffmpeg installed ("),i=n(g,"A",{href:!0,rel:!0});var z=r(i);p=d(z,"https://ffmpeg.org/download.html"),z.forEach(a),_=d(g,")"),g.forEach(a),this.h()},h(){f(i,"href","https://ffmpeg.org/download.html"),f(i,"rel","nofollow")},m(o,g){b(o,l,g),e(l,v),e(l,i),e(i,p),e(l,_)},d(o){o&&a(l)}}}function Ap(k){let l,v;return l=new I({props:{code:`from evaluate import evaluator
from datasets import load_dataset

task_evaluator = evaluator("audio-classification")
data = load_dataset("superb", 'ks', split="test[:40]")
results = task_evaluator.compute(
    model_or_pipeline=""superb/wav2vec2-base-superb-ks"",
    data=data,
    label_column="label",
    input_column="file",
    metric="accuracy",
    label_mapping={0: "yes", 1: "no", 2: "up", 3: "down"}
)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> evaluate <span class="hljs-keyword">import</span> evaluator
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset

<span class="hljs-meta">&gt;&gt;&gt; </span>task_evaluator = evaluator(<span class="hljs-string">&quot;audio-classification&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>data = load_dataset(<span class="hljs-string">&quot;superb&quot;</span>, <span class="hljs-string">&#x27;ks&#x27;</span>, split=<span class="hljs-string">&quot;test[:40]&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>results = task_evaluator.compute(
<span class="hljs-meta">&gt;&gt;&gt; </span>    model_or_pipeline=<span class="hljs-string">&quot;&quot;</span>superb/wav2vec2-base-superb-ks<span class="hljs-string">&quot;&quot;</span>,
<span class="hljs-meta">&gt;&gt;&gt; </span>    data=data,
<span class="hljs-meta">&gt;&gt;&gt; </span>    label_column=<span class="hljs-string">&quot;label&quot;</span>,
<span class="hljs-meta">&gt;&gt;&gt; </span>    input_column=<span class="hljs-string">&quot;file&quot;</span>,
<span class="hljs-meta">&gt;&gt;&gt; </span>    metric=<span class="hljs-string">&quot;accuracy&quot;</span>,
<span class="hljs-meta">&gt;&gt;&gt; </span>    label_mapping={<span class="hljs-number">0</span>: <span class="hljs-string">&quot;yes&quot;</span>, <span class="hljs-number">1</span>: <span class="hljs-string">&quot;no&quot;</span>, <span class="hljs-number">2</span>: <span class="hljs-string">&quot;up&quot;</span>, <span class="hljs-number">3</span>: <span class="hljs-string">&quot;down&quot;</span>}
<span class="hljs-meta">&gt;&gt;&gt; </span>)`}}),{c(){$(l.$$.fragment)},l(i){w(l.$$.fragment,i)},m(i,p){y(l,i,p),v=!0},p:A,i(i){v||(E(l.$$.fragment,i),v=!0)},o(i){x(l.$$.fragment,i),v=!1},d(i){q(l,i)}}}function Ip(k){let l,v;return{c(){l=s("p"),v=c(`The evaluator supports raw audio data as well, in the form of a numpy array. However, be aware that calling
the audio column automatically decodes and resamples the audio files, which can be slow for large datasets.`)},l(i){l=n(i,"P",{});var p=r(l);v=d(p,`The evaluator supports raw audio data as well, in the form of a numpy array. However, be aware that calling
the audio column automatically decodes and resamples the audio files, which can be slow for large datasets.`),p.forEach(a)},m(i,p){b(i,l,p),e(l,v)},d(i){i&&a(l)}}}function zp(k){let l,v;return l=new I({props:{code:`from evaluate import evaluator
from datasets import load_dataset

task_evaluator = evaluator("audio-classification")
data = load_dataset("superb", 'ks', split="test[:40]")
data = data.map(lambda example: {"audio": example["audio"]["array"]})
results = task_evaluator.compute(
    model_or_pipeline=""superb/wav2vec2-base-superb-ks"",
    data=data,
    label_column="label",
    input_column="audio",
    metric="accuracy",
    label_mapping={0: "yes", 1: "no", 2: "up", 3: "down"}
)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> evaluate <span class="hljs-keyword">import</span> evaluator
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset

<span class="hljs-meta">&gt;&gt;&gt; </span>task_evaluator = evaluator(<span class="hljs-string">&quot;audio-classification&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>data = load_dataset(<span class="hljs-string">&quot;superb&quot;</span>, <span class="hljs-string">&#x27;ks&#x27;</span>, split=<span class="hljs-string">&quot;test[:40]&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>data = data.<span class="hljs-built_in">map</span>(<span class="hljs-keyword">lambda</span> example: {<span class="hljs-string">&quot;audio&quot;</span>: example[<span class="hljs-string">&quot;audio&quot;</span>][<span class="hljs-string">&quot;array&quot;</span>]})
<span class="hljs-meta">&gt;&gt;&gt; </span>results = task_evaluator.compute(
<span class="hljs-meta">&gt;&gt;&gt; </span>    model_or_pipeline=<span class="hljs-string">&quot;&quot;</span>superb/wav2vec2-base-superb-ks<span class="hljs-string">&quot;&quot;</span>,
<span class="hljs-meta">&gt;&gt;&gt; </span>    data=data,
<span class="hljs-meta">&gt;&gt;&gt; </span>    label_column=<span class="hljs-string">&quot;label&quot;</span>,
<span class="hljs-meta">&gt;&gt;&gt; </span>    input_column=<span class="hljs-string">&quot;audio&quot;</span>,
<span class="hljs-meta">&gt;&gt;&gt; </span>    metric=<span class="hljs-string">&quot;accuracy&quot;</span>,
<span class="hljs-meta">&gt;&gt;&gt; </span>    label_mapping={<span class="hljs-number">0</span>: <span class="hljs-string">&quot;yes&quot;</span>, <span class="hljs-number">1</span>: <span class="hljs-string">&quot;no&quot;</span>, <span class="hljs-number">2</span>: <span class="hljs-string">&quot;up&quot;</span>, <span class="hljs-number">3</span>: <span class="hljs-string">&quot;down&quot;</span>}
<span class="hljs-meta">&gt;&gt;&gt; </span>)`}}),{c(){$(l.$$.fragment)},l(i){w(l.$$.fragment,i)},m(i,p){y(l,i,p),v=!0},p:A,i(i){v||(E(l.$$.fragment,i),v=!0)},o(i){x(l.$$.fragment,i),v=!1},d(i){q(l,i)}}}function Sp(k){let l,v,i,p,_,o,g,z,P,R,ye,Dn,Ss,Ee,Me,vo,Pt,An,_o,In,Us,Sa,zn,Fs,Q,Ct,Sn,B,Un,Ua,Fn,Mn,bo,On,Rn,$o,Ln,Gn,Vn,Oe,Ms,Fa,Qn,Os,T,Dt,Bn,At,Hn,Ma,Yn,Jn,Wn,ce,It,Kn,wo,Xn,Zn,Re,er,Le,zt,tr,yo,ar,or,de,St,sr,Ut,nr,Eo,rr,lr,ir,Ge,cr,pe,Ft,dr,xo,pr,ur,Ve,mr,Qe,Mt,fr,Ot,gr,qo,hr,vr,_r,ue,Rt,br,ko,$r,wr,Be,yr,me,Lt,Er,jo,xr,qr,He,kr,fe,Gt,jr,To,Tr,Nr,Ye,Rs,xe,Je,No,Vt,Pr,Po,Cr,Ls,qe,We,Co,Qt,Dr,Do,Ar,Gs,H,Bt,Ir,Y,zr,Oa,Sr,Ur,Ao,Fr,Mr,Io,Or,Rr,Lr,ge,Ht,Gr,zo,Vr,Qr,Ke,Vs,ke,Xe,So,Yt,Br,Uo,Hr,Qs,U,Jt,Yr,Wt,Jr,Ze,Fo,Wr,Kr,Xr,Zr,je,el,Ra,tl,al,Mo,ol,sl,nl,Kt,rl,Xt,ll,il,cl,M,Zt,dl,Oo,pl,ul,et,ml,tt,fl,at,Bs,Te,ot,Ro,ea,gl,Lo,hl,Hs,J,ta,vl,L,_l,La,bl,$l,Go,wl,yl,Vo,El,xl,aa,ql,kl,jl,he,oa,Tl,Qo,Nl,Pl,st,Ys,Ne,nt,Bo,sa,Cl,Ho,Dl,Js,F,na,Al,Yo,Il,zl,Pe,Sl,Ga,Ul,Fl,Jo,Ml,Ol,Rl,ra,Ll,la,Gl,Vl,Ql,S,ia,Bl,Wo,Hl,Yl,ca,Jl,da,Wl,Kl,Xl,rt,Zl,lt,ei,it,Ws,Ce,ct,Ko,pa,ti,Xo,ai,Ks,W,ua,oi,K,si,Va,ni,ri,Zo,li,ii,ma,ci,di,pi,Qa,fa,Xs,De,dt,es,ga,ui,ts,mi,Zs,X,ha,fi,Z,gi,Ba,hi,vi,as,_i,bi,va,$i,wi,yi,pt,_a,Ei,os,xi,en,Ae,ut,ss,ba,qi,ns,ki,tn,ee,$a,ji,te,Ti,Ha,Ni,Pi,rs,Ci,Di,Ya,Ai,Ii,zi,mt,wa,Si,ls,Ui,an,Ie,ft,is,ya,Fi,cs,Mi,on,ae,Ea,Oi,oe,Ri,Ja,Li,Gi,ds,Vi,Qi,xa,Bi,Hi,Yi,gt,qa,Ji,ps,Wi,sn,ze,ht,us,ka,Ki,ms,Xi,nn,se,ja,Zi,ne,ec,Wa,tc,ac,fs,oc,sc,gs,nc,rc,lc,ve,Ta,ic,hs,cc,dc,vt,rn,Se,_t,vs,Na,pc,_s,uc,ln,re,Pa,mc,le,fc,Ka,gc,hc,bs,vc,_c,Ca,bc,$c,wc,C,Da,yc,$s,Ec,xc,ws,qc,kc,bt,jc,$t,Tc,wt,Nc,yt,cn;return o=new G({}),Pt=new G({}),Ct=new j({props:{name:"evaluate.evaluator",anchor:"evaluate.evaluator",parameters:[{name:"task",val:": str = None"}],parametersDescription:[{anchor:"evaluate.evaluator.task",description:`<strong>task</strong> (<code>str</code>) &#x2014;
The task defining which evaluator will be returned. Currently accepted tasks are:<ul>
<li><code>&quot;image-classification&quot;</code>: will return a <a href="/docs/evaluate/main/en/package_reference/evaluator_classes#evaluate.ImageClassificationEvaluator">ImageClassificationEvaluator</a>.</li>
<li><code>&quot;question-answering&quot;</code>: will return a <a href="/docs/evaluate/main/en/package_reference/evaluator_classes#evaluate.QuestionAnsweringEvaluator">QuestionAnsweringEvaluator</a>.</li>
<li><code>&quot;text-classification&quot;</code> (alias <code>&quot;sentiment-analysis&quot;</code> available): will return a <a href="/docs/evaluate/main/en/package_reference/evaluator_classes#evaluate.TextClassificationEvaluator">TextClassificationEvaluator</a>.</li>
<li><code>&quot;token-classification&quot;</code>: will return a <a href="/docs/evaluate/main/en/package_reference/evaluator_classes#evaluate.TokenClassificationEvaluator">TokenClassificationEvaluator</a>.</li>
</ul>`,name:"task"}],source:"https://github.com/huggingface/evaluate/blob/main/src/evaluate/evaluator/__init__.py#L113",returnDescription:`
<p>An evaluator suitable for the task.</p>
`,returnType:`
<p><a
  href="/docs/evaluate/main/en/package_reference/evaluator_classes#evaluate.Evaluator"
>Evaluator</a></p>
`}}),Oe=new D({props:{anchor:"evaluate.evaluator.example",$$slots:{default:[fp]},$$scope:{ctx:k}}}),Dt=new j({props:{name:"class evaluate.Evaluator",anchor:"evaluate.Evaluator",parameters:[{name:"task",val:": str"},{name:"default_metric_name",val:": str = None"}],source:"https://github.com/huggingface/evaluate/blob/main/src/evaluate/evaluator/base.py#L102"}}),It=new j({props:{name:"check_required_columns",anchor:"evaluate.Evaluator.check_required_columns",parameters:[{name:"data",val:": typing.Union[str, datasets.arrow_dataset.Dataset]"},{name:"columns_names",val:": typing.Dict[str, str]"}],parametersDescription:[{anchor:"evaluate.Evaluator.check_required_columns.data",description:`<strong>data</strong> (<code>str</code> or <code>Dataset</code>) &#x2014;
Specifies the dataset we will run evaluation on.`,name:"data"},{anchor:"evaluate.Evaluator.check_required_columns.columns_names",description:`<strong>columns_names</strong> (<code>List[str]</code>) &#x2014;
List of column names to check in the dataset. The keys are the arguments to the <a href="/docs/evaluate/main/en/package_reference/main_classes#evaluate.EvaluationModule.compute">evaluate.EvaluationModule.compute()</a> method,
while the values are the column names to check.`,name:"columns_names"}],source:"https://github.com/huggingface/evaluate/blob/main/src/evaluate/evaluator/base.py#L295"}}),Re=new D({props:{anchor:"evaluate.Evaluator.check_required_columns.example",$$slots:{default:[gp]},$$scope:{ctx:k}}}),zt=new j({props:{name:"compute_metric",anchor:"evaluate.Evaluator.compute_metric",parameters:[{name:"metric",val:": EvaluationModule"},{name:"metric_inputs",val:": typing.Dict"},{name:"strategy",val:": typing.Literal['simple', 'bootstrap'] = 'simple'"},{name:"confidence_level",val:": float = 0.95"},{name:"n_resamples",val:": int = 9999"},{name:"random_state",val:": typing.Optional[int] = None"}],source:"https://github.com/huggingface/evaluate/blob/main/src/evaluate/evaluator/base.py#L517"}}),St=new j({props:{name:"get_dataset_split",anchor:"evaluate.Evaluator.get_dataset_split",parameters:[{name:"data",val:""},{name:"subset",val:" = None"},{name:"split",val:" = None"}],parametersDescription:[{anchor:"evaluate.Evaluator.get_dataset_split.data",description:`<strong>data</strong> (<code>str</code>) &#x2014;
Name of dataset.`,name:"data"},{anchor:"evaluate.Evaluator.get_dataset_split.subset",description:`<strong>subset</strong> (<code>str</code>) &#x2014;
Name of config for datasets with multiple configurations (e.g. &#x2018;glue/cola&#x2019;).`,name:"subset"},{anchor:"evaluate.Evaluator.get_dataset_split.split",description:`<strong>split</strong> (<code>str</code>, defaults to <code>None</code>) &#x2014;
Split to use.`,name:"split"}],source:"https://github.com/huggingface/evaluate/blob/main/src/evaluate/evaluator/base.py#L321",returnDescription:`
<p><code>str</code> containing which split to use</p>
`,returnType:`
<p><code>split</code></p>
`}}),Ge=new D({props:{anchor:"evaluate.Evaluator.get_dataset_split.example",$$slots:{default:[hp]},$$scope:{ctx:k}}}),Ft=new j({props:{name:"load_data",anchor:"evaluate.Evaluator.load_data",parameters:[{name:"data",val:": typing.Union[str, datasets.arrow_dataset.Dataset]"},{name:"subset",val:": str = None"},{name:"split",val:": str = None"}],parametersDescription:[{anchor:"evaluate.Evaluator.load_data.data",description:`<strong>data</strong> (<code>Dataset</code> or <code>str</code>, defaults to <code>None</code>) &#x2014;
Specifies the dataset we will run evaluation on. If it is of
type <code>str</code>, we treat it as the dataset name, and load it. Otherwise we assume it represents a pre-loaded dataset.`,name:"data"},{anchor:"evaluate.Evaluator.load_data.subset",description:`<strong>subset</strong> (<code>str</code>, defaults to <code>None</code>) &#x2014;
Specifies dataset subset to be passed to <code>name</code> in <code>load_dataset</code>. To be
used with datasets with several configurations (e.g. glue/sst2).`,name:"subset"},{anchor:"evaluate.Evaluator.load_data.split",description:`<strong>split</strong> (<code>str</code>, defaults to <code>None</code>) &#x2014;
User-defined dataset split by name (e.g. train, validation, test). Supports slice-split (<code>test[:n]</code>).
If not defined and data is a <code>str</code> type, will automatically select the best one via <code>choose_split()</code>.`,name:"split"}],source:"https://github.com/huggingface/evaluate/blob/main/src/evaluate/evaluator/base.py#L350",returnDescription:`
<p>Loaded dataset which will be used for evaluation.</p>
`,returnType:`
<p>data (<code>Dataset</code>)</p>
`}}),Ve=new D({props:{anchor:"evaluate.Evaluator.load_data.example",$$slots:{default:[vp]},$$scope:{ctx:k}}}),Mt=new j({props:{name:"predictions_processor",anchor:"evaluate.Evaluator.predictions_processor",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/evaluate/blob/main/src/evaluate/evaluator/base.py#L211"}}),Rt=new j({props:{name:"prepare_data",anchor:"evaluate.Evaluator.prepare_data",parameters:[{name:"data",val:": Dataset"},{name:"input_column",val:": str"},{name:"label_column",val:": str"},{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"evaluate.Evaluator.prepare_data.data",description:`<strong>data</strong> (<code>Dataset</code>) &#x2014;
Specifies the dataset we will run evaluation on.`,name:"data"},{anchor:"evaluate.Evaluator.prepare_data.input_column",description:`<strong>input_column</strong> (<code>str</code>, defaults to <code>&quot;text&quot;</code>) &#x2014;
The name of the column containing the text feature in the dataset specified by <code>data</code>.`,name:"input_column"},{anchor:"evaluate.Evaluator.prepare_data.second_input_column(str,",description:`<strong>second_input_column(<code>str</code>,</strong> <em>optional</em>) &#x2014;
The name of the column containing the second text feature if there is one. Otherwise, set to <code>None</code>.`,name:"second_input_column(str,"},{anchor:"evaluate.Evaluator.prepare_data.label_column",description:`<strong>label_column</strong> (<code>str</code>, defaults to <code>&quot;label&quot;</code>) &#x2014;
The name of the column containing the labels in the dataset specified by <code>data</code>.`,name:"label_column"}],source:"https://github.com/huggingface/evaluate/blob/main/src/evaluate/evaluator/base.py#L390",returnDescription:`
<p>metric inputs.
<code>list</code>:  pipeline inputs.</p>
`,returnType:`
<p><code>dict</code></p>
`}}),Be=new D({props:{anchor:"evaluate.Evaluator.prepare_data.example",$$slots:{default:[_p]},$$scope:{ctx:k}}}),Lt=new j({props:{name:"prepare_metric",anchor:"evaluate.Evaluator.prepare_metric",parameters:[{name:"metric",val:": typing.Union[str, evaluate.module.EvaluationModule]"}],parametersDescription:[{anchor:"evaluate.Evaluator.prepare_metric.metric",description:`<strong>metric</strong> (<code>str</code> or <a href="/docs/evaluate/main/en/package_reference/main_classes#evaluate.EvaluationModule">EvaluationModule</a>, defaults to <code>None</code>) &#x2014;
Specifies the metric we use in evaluator. If it is of type <code>str</code>, we treat it as the metric name, and
load it. Otherwise we assume it represents a pre-loaded metric.`,name:"metric"}],source:"https://github.com/huggingface/evaluate/blob/main/src/evaluate/evaluator/base.py#L480",returnDescription:`
<p>The loaded metric.</p>
`}}),He=new D({props:{anchor:"evaluate.Evaluator.prepare_metric.example",$$slots:{default:[bp]},$$scope:{ctx:k}}}),Gt=new j({props:{name:"prepare_pipeline",anchor:"evaluate.Evaluator.prepare_pipeline",parameters:[{name:"model_or_pipeline",val:": typing.Union[str, ForwardRef('Pipeline'), typing.Callable, ForwardRef('PreTrainedModel'), ForwardRef('TFPreTrainedModel')]"},{name:"tokenizer",val:": typing.Union[ForwardRef('PreTrainedTokenizerBase'), ForwardRef('FeatureExtractionMixin')] = None"},{name:"feature_extractor",val:": typing.Union[ForwardRef('PreTrainedTokenizerBase'), ForwardRef('FeatureExtractionMixin')] = None"},{name:"device",val:": int = None"}],parametersDescription:[{anchor:"evaluate.Evaluator.prepare_pipeline.model_or_pipeline",description:`<strong>model_or_pipeline</strong> (<code>str</code> or <a href="https://huggingface.co/docs/transformers/main/en/main_classes/pipelines#transformers.Pipeline" rel="nofollow">Pipeline</a> or <code>Callable</code> or <a href="https://huggingface.co/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel" rel="nofollow">PreTrainedModel</a> or <a href="https://huggingface.co/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel" rel="nofollow">TFPreTrainedModel</a>, defaults to <code>None</code>) &#x2014;
If the argument in not specified, we initialize the default pipeline for the task. If the argument is of the type <code>str</code> or
is a model instance, we use it to initialize a new <a href="https://huggingface.co/docs/transformers/main/en/main_classes/pipelines#transformers.Pipeline" rel="nofollow">Pipeline</a> with the given model. Otherwise we assume the
argument specifies a pre-initialized pipeline.`,name:"model_or_pipeline"},{anchor:"evaluate.Evaluator.prepare_pipeline.preprocessor",description:`<strong>preprocessor</strong> (<a href="https://huggingface.co/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase" rel="nofollow">PreTrainedTokenizerBase</a> or <a href="https://huggingface.co/docs/transformers/main/en/main_classes/feature_extractor#transformers.FeatureExtractionMixin" rel="nofollow">FeatureExtractionMixin</a>, <em>optional</em>, defaults to <code>None</code>) &#x2014;
Argument can be used to overwrite a default preprocessor if <code>model_or_pipeline</code> represents a model for
which we build a pipeline. If <code>model_or_pipeline</code> is <code>None</code> or a pre-initialized pipeline, we ignore
this argument.`,name:"preprocessor"}],source:"https://github.com/huggingface/evaluate/blob/main/src/evaluate/evaluator/base.py#L422",returnDescription:`
<p>The initialized pipeline.</p>
`}}),Ye=new D({props:{anchor:"evaluate.Evaluator.prepare_pipeline.example",$$slots:{default:[$p]},$$scope:{ctx:k}}}),Vt=new G({}),Qt=new G({}),Bt=new j({props:{name:"class evaluate.ImageClassificationEvaluator",anchor:"evaluate.ImageClassificationEvaluator",parameters:[{name:"task",val:" = 'image-classification'"},{name:"default_metric_name",val:" = None"}],source:"https://github.com/huggingface/evaluate/blob/main/src/evaluate/evaluator/image_classification.py#L45"}}),Ht=new j({props:{name:"compute",anchor:"evaluate.ImageClassificationEvaluator.compute",parameters:[{name:"model_or_pipeline",val:": typing.Union[str, ForwardRef('Pipeline'), typing.Callable, ForwardRef('PreTrainedModel'), ForwardRef('TFPreTrainedModel')] = None"},{name:"data",val:": typing.Union[str, datasets.arrow_dataset.Dataset] = None"},{name:"subset",val:": typing.Optional[str] = None"},{name:"split",val:": typing.Optional[str] = None"},{name:"metric",val:": typing.Union[str, evaluate.module.EvaluationModule] = None"},{name:"tokenizer",val:": typing.Union[str, ForwardRef('PreTrainedTokenizer'), NoneType] = None"},{name:"feature_extractor",val:": typing.Union[str, ForwardRef('FeatureExtractionMixin'), NoneType] = None"},{name:"strategy",val:": typing.Literal['simple', 'bootstrap'] = 'simple'"},{name:"confidence_level",val:": float = 0.95"},{name:"n_resamples",val:": int = 9999"},{name:"device",val:": int = None"},{name:"random_state",val:": typing.Optional[int] = None"},{name:"input_column",val:": str = 'image'"},{name:"label_column",val:": str = 'label'"},{name:"label_mapping",val:": typing.Union[typing.Dict[str, numbers.Number], NoneType] = None"}],parametersDescription:[{anchor:"evaluate.ImageClassificationEvaluator.compute.model_or_pipeline",description:`<strong>model_or_pipeline</strong> (<code>str</code> or <code>Pipeline</code> or <code>Callable</code> or <code>PreTrainedModel</code> or <code>TFPreTrainedModel</code>, defaults to <code>None</code>) &#x2014;
If the argument in not specified, we initialize the default pipeline for the task (in this case
<code>text-classification</code> or its alias - <code>sentiment-analysis</code>). If the argument is of the type <code>str</code> or
is a model instance, we use it to initialize a new <code>Pipeline</code> with the given model. Otherwise we assume the
argument specifies a pre-initialized pipeline.`,name:"model_or_pipeline"},{anchor:"evaluate.ImageClassificationEvaluator.compute.data",description:`<strong>data</strong> (<code>str</code> or <code>Dataset</code>, defaults to <code>None</code>) &#x2014;
Specifies the dataset we will run evaluation on. If it is of type <code>str</code>, we treat it as the dataset
name, and load it. Otherwise we assume it represents a pre-loaded dataset.`,name:"data"},{anchor:"evaluate.ImageClassificationEvaluator.compute.subset",description:`<strong>subset</strong> (<code>str</code>, defaults to <code>None</code>) &#x2014;
Defines which dataset subset to load. If <code>None</code> is passed the default subset is loaded.`,name:"subset"},{anchor:"evaluate.ImageClassificationEvaluator.compute.split",description:`<strong>split</strong> (<code>str</code>, defaults to <code>None</code>) &#x2014;
Defines which dataset split to load. If <code>None</code> is passed, infers based on the <code>choose_split</code> function.`,name:"split"},{anchor:"evaluate.ImageClassificationEvaluator.compute.metric",description:`<strong>metric</strong> (<code>str</code> or <code>EvaluationModule</code>, defaults to <code>None</code>) &#x2014;
Specifies the metric we use in evaluator. If it is of type <code>str</code>, we treat it as the metric name, and
load it. Otherwise we assume it represents a pre-loaded metric.`,name:"metric"},{anchor:"evaluate.ImageClassificationEvaluator.compute.tokenizer",description:`<strong>tokenizer</strong> (<code>str</code> or <code>PreTrainedTokenizer</code>, <em>optional</em>, defaults to <code>None</code>) &#x2014;
Argument can be used to overwrite a default tokenizer if <code>model_or_pipeline</code> represents a model for
which we build a pipeline. If <code>model_or_pipeline</code> is <code>None</code> or a pre-initialized pipeline, we ignore
this argument.`,name:"tokenizer"},{anchor:"evaluate.ImageClassificationEvaluator.compute.strategy",description:`<strong>strategy</strong> (<code>Literal[&quot;simple&quot;, &quot;bootstrap&quot;]</code>, defaults to &#x201C;simple&#x201D;) &#x2014;
specifies the evaluation strategy. Possible values are:<ul>
<li><code>&quot;simple&quot;</code> - we evaluate the metric and return the scores.</li>
<li><code>&quot;bootstrap&quot;</code> - on top of computing the metric scores, we calculate the confidence interval for each
of the returned metric keys, using <code>scipy</code>&#x2019;s <code>bootstrap</code> method
<a href="https://docs.scipy.org/doc/scipy/reference/generated/scipy.stats.bootstrap.html" rel="nofollow">https://docs.scipy.org/doc/scipy/reference/generated/scipy.stats.bootstrap.html</a>.</li>
</ul>`,name:"strategy"},{anchor:"evaluate.ImageClassificationEvaluator.compute.confidence_level",description:`<strong>confidence_level</strong> (<code>float</code>, defaults to <code>0.95</code>) &#x2014;
The <code>confidence_level</code> value passed to <code>bootstrap</code> if <code>&quot;bootstrap&quot;</code> strategy is chosen.`,name:"confidence_level"},{anchor:"evaluate.ImageClassificationEvaluator.compute.n_resamples",description:`<strong>n_resamples</strong> (<code>int</code>, defaults to <code>9999</code>) &#x2014;
The <code>n_resamples</code> value passed to <code>bootstrap</code> if <code>&quot;bootstrap&quot;</code> strategy is chosen.`,name:"n_resamples"},{anchor:"evaluate.ImageClassificationEvaluator.compute.device",description:`<strong>device</strong> (<code>int</code>, defaults to <code>None</code>) &#x2014;
Device ordinal for CPU/GPU support of the pipeline. Setting this to -1 will leverage CPU, a positive
integer will run the model on the associated CUDA device ID. If <code>None</code> is provided it will be inferred and
CUDA:0 used if available, CPU otherwise.`,name:"device"},{anchor:"evaluate.ImageClassificationEvaluator.compute.random_state",description:`<strong>random_state</strong> (<code>int</code>, <em>optional</em>, defaults to <code>None</code>) &#x2014;
The <code>random_state</code> value passed to <code>bootstrap</code> if <code>&quot;bootstrap&quot;</code> strategy is chosen. Useful for
debugging.`,name:"random_state"}],source:"https://github.com/huggingface/evaluate/blob/main/src/evaluate/evaluator/image_classification.py#L64",returnDescription:`
<p>A <code>Dict</code>. The keys represent metric keys calculated for the <code>metric</code> spefied in function arguments. For the
<code>"simple"</code> strategy, the value is the metric score. For the <code>"bootstrap"</code> strategy, the value is a <code>Dict</code>
containing the score, the confidence interval and the standard error calculated for each metric key.</p>
`}}),Ke=new D({props:{anchor:"evaluate.ImageClassificationEvaluator.compute.example",$$slots:{default:[wp]},$$scope:{ctx:k}}}),Yt=new G({}),Jt=new j({props:{name:"class evaluate.QuestionAnsweringEvaluator",anchor:"evaluate.QuestionAnsweringEvaluator",parameters:[{name:"task",val:" = 'question-answering'"},{name:"default_metric_name",val:" = None"}],source:"https://github.com/huggingface/evaluate/blob/main/src/evaluate/evaluator/question_answering.py#L74"}}),Zt=new j({props:{name:"compute",anchor:"evaluate.QuestionAnsweringEvaluator.compute",parameters:[{name:"model_or_pipeline",val:": typing.Union[str, ForwardRef('Pipeline'), typing.Callable, ForwardRef('PreTrainedModel'), ForwardRef('TFPreTrainedModel')] = None"},{name:"data",val:": typing.Union[str, datasets.arrow_dataset.Dataset] = None"},{name:"subset",val:": typing.Optional[str] = None"},{name:"split",val:": typing.Optional[str] = None"},{name:"metric",val:": typing.Union[str, evaluate.module.EvaluationModule] = None"},{name:"tokenizer",val:": typing.Union[str, ForwardRef('PreTrainedTokenizer'), NoneType] = None"},{name:"strategy",val:": typing.Literal['simple', 'bootstrap'] = 'simple'"},{name:"confidence_level",val:": float = 0.95"},{name:"n_resamples",val:": int = 9999"},{name:"device",val:": int = None"},{name:"random_state",val:": typing.Optional[int] = None"},{name:"question_column",val:": str = 'question'"},{name:"context_column",val:": str = 'context'"},{name:"id_column",val:": str = 'id'"},{name:"label_column",val:": str = 'answers'"},{name:"squad_v2_format",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"evaluate.QuestionAnsweringEvaluator.compute.model_or_pipeline",description:`<strong>model_or_pipeline</strong> (<code>str</code> or <code>Pipeline</code> or <code>Callable</code> or <code>PreTrainedModel</code> or <code>TFPreTrainedModel</code>, defaults to <code>None</code>) &#x2014;
If the argument in not specified, we initialize the default pipeline for the task (in this case
<code>text-classification</code> or its alias - <code>sentiment-analysis</code>). If the argument is of the type <code>str</code> or
is a model instance, we use it to initialize a new <code>Pipeline</code> with the given model. Otherwise we assume the
argument specifies a pre-initialized pipeline.`,name:"model_or_pipeline"},{anchor:"evaluate.QuestionAnsweringEvaluator.compute.data",description:`<strong>data</strong> (<code>str</code> or <code>Dataset</code>, defaults to <code>None</code>) &#x2014;
Specifies the dataset we will run evaluation on. If it is of type <code>str</code>, we treat it as the dataset
name, and load it. Otherwise we assume it represents a pre-loaded dataset.`,name:"data"},{anchor:"evaluate.QuestionAnsweringEvaluator.compute.subset",description:`<strong>subset</strong> (<code>str</code>, defaults to <code>None</code>) &#x2014;
Defines which dataset subset to load. If <code>None</code> is passed the default subset is loaded.`,name:"subset"},{anchor:"evaluate.QuestionAnsweringEvaluator.compute.split",description:`<strong>split</strong> (<code>str</code>, defaults to <code>None</code>) &#x2014;
Defines which dataset split to load. If <code>None</code> is passed, infers based on the <code>choose_split</code> function.`,name:"split"},{anchor:"evaluate.QuestionAnsweringEvaluator.compute.metric",description:`<strong>metric</strong> (<code>str</code> or <code>EvaluationModule</code>, defaults to <code>None</code>) &#x2014;
Specifies the metric we use in evaluator. If it is of type <code>str</code>, we treat it as the metric name, and
load it. Otherwise we assume it represents a pre-loaded metric.`,name:"metric"},{anchor:"evaluate.QuestionAnsweringEvaluator.compute.tokenizer",description:`<strong>tokenizer</strong> (<code>str</code> or <code>PreTrainedTokenizer</code>, <em>optional</em>, defaults to <code>None</code>) &#x2014;
Argument can be used to overwrite a default tokenizer if <code>model_or_pipeline</code> represents a model for
which we build a pipeline. If <code>model_or_pipeline</code> is <code>None</code> or a pre-initialized pipeline, we ignore
this argument.`,name:"tokenizer"},{anchor:"evaluate.QuestionAnsweringEvaluator.compute.strategy",description:`<strong>strategy</strong> (<code>Literal[&quot;simple&quot;, &quot;bootstrap&quot;]</code>, defaults to &#x201C;simple&#x201D;) &#x2014;
specifies the evaluation strategy. Possible values are:<ul>
<li><code>&quot;simple&quot;</code> - we evaluate the metric and return the scores.</li>
<li><code>&quot;bootstrap&quot;</code> - on top of computing the metric scores, we calculate the confidence interval for each
of the returned metric keys, using <code>scipy</code>&#x2019;s <code>bootstrap</code> method
<a href="https://docs.scipy.org/doc/scipy/reference/generated/scipy.stats.bootstrap.html" rel="nofollow">https://docs.scipy.org/doc/scipy/reference/generated/scipy.stats.bootstrap.html</a>.</li>
</ul>`,name:"strategy"},{anchor:"evaluate.QuestionAnsweringEvaluator.compute.confidence_level",description:`<strong>confidence_level</strong> (<code>float</code>, defaults to <code>0.95</code>) &#x2014;
The <code>confidence_level</code> value passed to <code>bootstrap</code> if <code>&quot;bootstrap&quot;</code> strategy is chosen.`,name:"confidence_level"},{anchor:"evaluate.QuestionAnsweringEvaluator.compute.n_resamples",description:`<strong>n_resamples</strong> (<code>int</code>, defaults to <code>9999</code>) &#x2014;
The <code>n_resamples</code> value passed to <code>bootstrap</code> if <code>&quot;bootstrap&quot;</code> strategy is chosen.`,name:"n_resamples"},{anchor:"evaluate.QuestionAnsweringEvaluator.compute.device",description:`<strong>device</strong> (<code>int</code>, defaults to <code>None</code>) &#x2014;
Device ordinal for CPU/GPU support of the pipeline. Setting this to -1 will leverage CPU, a positive
integer will run the model on the associated CUDA device ID. If <code>None</code> is provided it will be inferred and
CUDA:0 used if available, CPU otherwise.`,name:"device"},{anchor:"evaluate.QuestionAnsweringEvaluator.compute.random_state",description:`<strong>random_state</strong> (<code>int</code>, <em>optional</em>, defaults to <code>None</code>) &#x2014;
The <code>random_state</code> value passed to <code>bootstrap</code> if <code>&quot;bootstrap&quot;</code> strategy is chosen. Useful for
debugging.`,name:"random_state"}],source:"https://github.com/huggingface/evaluate/blob/main/src/evaluate/evaluator/question_answering.py#L143",returnDescription:`
<p>A <code>Dict</code>. The keys represent metric keys calculated for the <code>metric</code> spefied in function arguments. For the
<code>"simple"</code> strategy, the value is the metric score. For the <code>"bootstrap"</code> strategy, the value is a <code>Dict</code>
containing the score, the confidence interval and the standard error calculated for each metric key.</p>
`}}),et=new D({props:{anchor:"evaluate.QuestionAnsweringEvaluator.compute.example",$$slots:{default:[yp]},$$scope:{ctx:k}}}),tt=new zs({props:{$$slots:{default:[Ep]},$$scope:{ctx:k}}}),at=new D({props:{anchor:"evaluate.QuestionAnsweringEvaluator.compute.example-2",$$slots:{default:[xp]},$$scope:{ctx:k}}}),ea=new G({}),ta=new j({props:{name:"class evaluate.TextClassificationEvaluator",anchor:"evaluate.TextClassificationEvaluator",parameters:[{name:"task",val:" = 'text-classification'"},{name:"default_metric_name",val:" = None"}],source:"https://github.com/huggingface/evaluate/blob/main/src/evaluate/evaluator/text_classification.py#L47"}}),oa=new j({props:{name:"compute",anchor:"evaluate.TextClassificationEvaluator.compute",parameters:[{name:"model_or_pipeline",val:": typing.Union[str, ForwardRef('Pipeline'), typing.Callable, ForwardRef('PreTrainedModel'), ForwardRef('TFPreTrainedModel')] = None"},{name:"data",val:": typing.Union[str, datasets.arrow_dataset.Dataset] = None"},{name:"subset",val:": typing.Optional[str] = None"},{name:"split",val:": typing.Optional[str] = None"},{name:"metric",val:": typing.Union[str, evaluate.module.EvaluationModule] = None"},{name:"tokenizer",val:": typing.Union[str, ForwardRef('PreTrainedTokenizer'), NoneType] = None"},{name:"feature_extractor",val:": typing.Union[str, ForwardRef('FeatureExtractionMixin'), NoneType] = None"},{name:"strategy",val:": typing.Literal['simple', 'bootstrap'] = 'simple'"},{name:"confidence_level",val:": float = 0.95"},{name:"n_resamples",val:": int = 9999"},{name:"device",val:": int = None"},{name:"random_state",val:": typing.Optional[int] = None"},{name:"input_column",val:": str = 'text'"},{name:"second_input_column",val:": typing.Optional[str] = None"},{name:"label_column",val:": str = 'label'"},{name:"label_mapping",val:": typing.Union[typing.Dict[str, numbers.Number], NoneType] = None"}],parametersDescription:[{anchor:"evaluate.TextClassificationEvaluator.compute.model_or_pipeline",description:`<strong>model_or_pipeline</strong> (<code>str</code> or <code>Pipeline</code> or <code>Callable</code> or <code>PreTrainedModel</code> or <code>TFPreTrainedModel</code>, defaults to <code>None</code>) &#x2014;
If the argument in not specified, we initialize the default pipeline for the task (in this case
<code>text-classification</code> or its alias - <code>sentiment-analysis</code>). If the argument is of the type <code>str</code> or
is a model instance, we use it to initialize a new <code>Pipeline</code> with the given model. Otherwise we assume the
argument specifies a pre-initialized pipeline.`,name:"model_or_pipeline"},{anchor:"evaluate.TextClassificationEvaluator.compute.data",description:`<strong>data</strong> (<code>str</code> or <code>Dataset</code>, defaults to <code>None</code>) &#x2014;
Specifies the dataset we will run evaluation on. If it is of type <code>str</code>, we treat it as the dataset
name, and load it. Otherwise we assume it represents a pre-loaded dataset.`,name:"data"},{anchor:"evaluate.TextClassificationEvaluator.compute.subset",description:`<strong>subset</strong> (<code>str</code>, defaults to <code>None</code>) &#x2014;
Defines which dataset subset to load. If <code>None</code> is passed the default subset is loaded.`,name:"subset"},{anchor:"evaluate.TextClassificationEvaluator.compute.split",description:`<strong>split</strong> (<code>str</code>, defaults to <code>None</code>) &#x2014;
Defines which dataset split to load. If <code>None</code> is passed, infers based on the <code>choose_split</code> function.`,name:"split"},{anchor:"evaluate.TextClassificationEvaluator.compute.metric",description:`<strong>metric</strong> (<code>str</code> or <code>EvaluationModule</code>, defaults to <code>None</code>) &#x2014;
Specifies the metric we use in evaluator. If it is of type <code>str</code>, we treat it as the metric name, and
load it. Otherwise we assume it represents a pre-loaded metric.`,name:"metric"},{anchor:"evaluate.TextClassificationEvaluator.compute.tokenizer",description:`<strong>tokenizer</strong> (<code>str</code> or <code>PreTrainedTokenizer</code>, <em>optional</em>, defaults to <code>None</code>) &#x2014;
Argument can be used to overwrite a default tokenizer if <code>model_or_pipeline</code> represents a model for
which we build a pipeline. If <code>model_or_pipeline</code> is <code>None</code> or a pre-initialized pipeline, we ignore
this argument.`,name:"tokenizer"},{anchor:"evaluate.TextClassificationEvaluator.compute.strategy",description:`<strong>strategy</strong> (<code>Literal[&quot;simple&quot;, &quot;bootstrap&quot;]</code>, defaults to &#x201C;simple&#x201D;) &#x2014;
specifies the evaluation strategy. Possible values are:<ul>
<li><code>&quot;simple&quot;</code> - we evaluate the metric and return the scores.</li>
<li><code>&quot;bootstrap&quot;</code> - on top of computing the metric scores, we calculate the confidence interval for each
of the returned metric keys, using <code>scipy</code>&#x2019;s <code>bootstrap</code> method
<a href="https://docs.scipy.org/doc/scipy/reference/generated/scipy.stats.bootstrap.html" rel="nofollow">https://docs.scipy.org/doc/scipy/reference/generated/scipy.stats.bootstrap.html</a>.</li>
</ul>`,name:"strategy"},{anchor:"evaluate.TextClassificationEvaluator.compute.confidence_level",description:`<strong>confidence_level</strong> (<code>float</code>, defaults to <code>0.95</code>) &#x2014;
The <code>confidence_level</code> value passed to <code>bootstrap</code> if <code>&quot;bootstrap&quot;</code> strategy is chosen.`,name:"confidence_level"},{anchor:"evaluate.TextClassificationEvaluator.compute.n_resamples",description:`<strong>n_resamples</strong> (<code>int</code>, defaults to <code>9999</code>) &#x2014;
The <code>n_resamples</code> value passed to <code>bootstrap</code> if <code>&quot;bootstrap&quot;</code> strategy is chosen.`,name:"n_resamples"},{anchor:"evaluate.TextClassificationEvaluator.compute.device",description:`<strong>device</strong> (<code>int</code>, defaults to <code>None</code>) &#x2014;
Device ordinal for CPU/GPU support of the pipeline. Setting this to -1 will leverage CPU, a positive
integer will run the model on the associated CUDA device ID. If <code>None</code> is provided it will be inferred and
CUDA:0 used if available, CPU otherwise.`,name:"device"},{anchor:"evaluate.TextClassificationEvaluator.compute.random_state",description:`<strong>random_state</strong> (<code>int</code>, <em>optional</em>, defaults to <code>None</code>) &#x2014;
The <code>random_state</code> value passed to <code>bootstrap</code> if <code>&quot;bootstrap&quot;</code> strategy is chosen. Useful for
debugging.`,name:"random_state"}],source:"https://github.com/huggingface/evaluate/blob/main/src/evaluate/evaluator/text_classification.py#L85",returnDescription:`
<p>A <code>Dict</code>. The keys represent metric keys calculated for the <code>metric</code> spefied in function arguments. For the
<code>"simple"</code> strategy, the value is the metric score. For the <code>"bootstrap"</code> strategy, the value is a <code>Dict</code>
containing the score, the confidence interval and the standard error calculated for each metric key.</p>
`}}),st=new D({props:{anchor:"evaluate.TextClassificationEvaluator.compute.example",$$slots:{default:[qp]},$$scope:{ctx:k}}}),sa=new G({}),na=new j({props:{name:"class evaluate.TokenClassificationEvaluator",anchor:"evaluate.TokenClassificationEvaluator",parameters:[{name:"task",val:" = 'token-classification'"},{name:"default_metric_name",val:" = None"}],source:"https://github.com/huggingface/evaluate/blob/main/src/evaluate/evaluator/token_classification.py#L86"}}),ia=new j({props:{name:"compute",anchor:"evaluate.TokenClassificationEvaluator.compute",parameters:[{name:"model_or_pipeline",val:": typing.Union[str, ForwardRef('Pipeline'), typing.Callable, ForwardRef('PreTrainedModel'), ForwardRef('TFPreTrainedModel')] = None"},{name:"data",val:": typing.Union[str, datasets.arrow_dataset.Dataset] = None"},{name:"subset",val:": typing.Optional[str] = None"},{name:"split",val:": str = None"},{name:"metric",val:": typing.Union[str, evaluate.module.EvaluationModule] = None"},{name:"tokenizer",val:": typing.Union[str, ForwardRef('PreTrainedTokenizer'), NoneType] = None"},{name:"strategy",val:": typing.Literal['simple', 'bootstrap'] = 'simple'"},{name:"confidence_level",val:": float = 0.95"},{name:"n_resamples",val:": int = 9999"},{name:"device",val:": typing.Optional[int] = None"},{name:"random_state",val:": typing.Optional[int] = None"},{name:"input_column",val:": str = 'tokens'"},{name:"label_column",val:": str = 'ner_tags'"},{name:"join_by",val:": typing.Optional[str] = ' '"}],parametersDescription:[{anchor:"evaluate.TokenClassificationEvaluator.compute.model_or_pipeline",description:`<strong>model_or_pipeline</strong> (<code>str</code> or <code>Pipeline</code> or <code>Callable</code> or <code>PreTrainedModel</code> or <code>TFPreTrainedModel</code>, defaults to <code>None</code>) &#x2014;
If the argument in not specified, we initialize the default pipeline for the task (in this case
<code>text-classification</code> or its alias - <code>sentiment-analysis</code>). If the argument is of the type <code>str</code> or
is a model instance, we use it to initialize a new <code>Pipeline</code> with the given model. Otherwise we assume the
argument specifies a pre-initialized pipeline.`,name:"model_or_pipeline"},{anchor:"evaluate.TokenClassificationEvaluator.compute.data",description:`<strong>data</strong> (<code>str</code> or <code>Dataset</code>, defaults to <code>None</code>) &#x2014;
Specifies the dataset we will run evaluation on. If it is of type <code>str</code>, we treat it as the dataset
name, and load it. Otherwise we assume it represents a pre-loaded dataset.`,name:"data"},{anchor:"evaluate.TokenClassificationEvaluator.compute.subset",description:`<strong>subset</strong> (<code>str</code>, defaults to <code>None</code>) &#x2014;
Defines which dataset subset to load. If <code>None</code> is passed the default subset is loaded.`,name:"subset"},{anchor:"evaluate.TokenClassificationEvaluator.compute.split",description:`<strong>split</strong> (<code>str</code>, defaults to <code>None</code>) &#x2014;
Defines which dataset split to load. If <code>None</code> is passed, infers based on the <code>choose_split</code> function.`,name:"split"},{anchor:"evaluate.TokenClassificationEvaluator.compute.metric",description:`<strong>metric</strong> (<code>str</code> or <code>EvaluationModule</code>, defaults to <code>None</code>) &#x2014;
Specifies the metric we use in evaluator. If it is of type <code>str</code>, we treat it as the metric name, and
load it. Otherwise we assume it represents a pre-loaded metric.`,name:"metric"},{anchor:"evaluate.TokenClassificationEvaluator.compute.tokenizer",description:`<strong>tokenizer</strong> (<code>str</code> or <code>PreTrainedTokenizer</code>, <em>optional</em>, defaults to <code>None</code>) &#x2014;
Argument can be used to overwrite a default tokenizer if <code>model_or_pipeline</code> represents a model for
which we build a pipeline. If <code>model_or_pipeline</code> is <code>None</code> or a pre-initialized pipeline, we ignore
this argument.`,name:"tokenizer"},{anchor:"evaluate.TokenClassificationEvaluator.compute.strategy",description:`<strong>strategy</strong> (<code>Literal[&quot;simple&quot;, &quot;bootstrap&quot;]</code>, defaults to &#x201C;simple&#x201D;) &#x2014;
specifies the evaluation strategy. Possible values are:<ul>
<li><code>&quot;simple&quot;</code> - we evaluate the metric and return the scores.</li>
<li><code>&quot;bootstrap&quot;</code> - on top of computing the metric scores, we calculate the confidence interval for each
of the returned metric keys, using <code>scipy</code>&#x2019;s <code>bootstrap</code> method
<a href="https://docs.scipy.org/doc/scipy/reference/generated/scipy.stats.bootstrap.html" rel="nofollow">https://docs.scipy.org/doc/scipy/reference/generated/scipy.stats.bootstrap.html</a>.</li>
</ul>`,name:"strategy"},{anchor:"evaluate.TokenClassificationEvaluator.compute.confidence_level",description:`<strong>confidence_level</strong> (<code>float</code>, defaults to <code>0.95</code>) &#x2014;
The <code>confidence_level</code> value passed to <code>bootstrap</code> if <code>&quot;bootstrap&quot;</code> strategy is chosen.`,name:"confidence_level"},{anchor:"evaluate.TokenClassificationEvaluator.compute.n_resamples",description:`<strong>n_resamples</strong> (<code>int</code>, defaults to <code>9999</code>) &#x2014;
The <code>n_resamples</code> value passed to <code>bootstrap</code> if <code>&quot;bootstrap&quot;</code> strategy is chosen.`,name:"n_resamples"},{anchor:"evaluate.TokenClassificationEvaluator.compute.device",description:`<strong>device</strong> (<code>int</code>, defaults to <code>None</code>) &#x2014;
Device ordinal for CPU/GPU support of the pipeline. Setting this to -1 will leverage CPU, a positive
integer will run the model on the associated CUDA device ID. If <code>None</code> is provided it will be inferred and
CUDA:0 used if available, CPU otherwise.`,name:"device"},{anchor:"evaluate.TokenClassificationEvaluator.compute.random_state",description:`<strong>random_state</strong> (<code>int</code>, <em>optional</em>, defaults to <code>None</code>) &#x2014;
The <code>random_state</code> value passed to <code>bootstrap</code> if <code>&quot;bootstrap&quot;</code> strategy is chosen. Useful for
debugging.`,name:"random_state"}],source:"https://github.com/huggingface/evaluate/blob/main/src/evaluate/evaluator/token_classification.py#L214",returnDescription:`
<p>A <code>Dict</code>. The keys represent metric keys calculated for the <code>metric</code> spefied in function arguments. For the
<code>"simple"</code> strategy, the value is the metric score. For the <code>"bootstrap"</code> strategy, the value is a <code>Dict</code>
containing the score, the confidence interval and the standard error calculated for each metric key.</p>
`}}),rt=new D({props:{anchor:"evaluate.TokenClassificationEvaluator.compute.example",$$slots:{default:[kp]},$$scope:{ctx:k}}}),lt=new zs({props:{$$slots:{default:[Tp]},$$scope:{ctx:k}}}),it=new zs({props:{warning:!0,$$slots:{default:[Pp]},$$scope:{ctx:k}}}),pa=new G({}),ua=new j({props:{name:"class evaluate.TextGenerationEvaluator",anchor:"evaluate.TextGenerationEvaluator",parameters:[{name:"task",val:" = 'text-generation'"},{name:"default_metric_name",val:" = None"},{name:"predictions_prefix",val:": str = 'generated'"}],source:"https://github.com/huggingface/evaluate/blob/main/src/evaluate/evaluator/text_generation.py#L31"}}),fa=new j({props:{name:"compute",anchor:"evaluate.TextGenerationEvaluator.compute",parameters:[{name:"model_or_pipeline",val:": typing.Union[str, ForwardRef('Pipeline'), typing.Callable, ForwardRef('PreTrainedModel'), ForwardRef('TFPreTrainedModel')] = None"},{name:"data",val:": typing.Union[str, datasets.arrow_dataset.Dataset] = None"},{name:"subset",val:": typing.Optional[str] = None"},{name:"split",val:": typing.Optional[str] = None"},{name:"metric",val:": typing.Union[str, evaluate.module.EvaluationModule] = None"},{name:"tokenizer",val:": typing.Union[str, ForwardRef('PreTrainedTokenizer'), NoneType] = None"},{name:"feature_extractor",val:": typing.Union[str, ForwardRef('FeatureExtractionMixin'), NoneType] = None"},{name:"strategy",val:": typing.Literal['simple', 'bootstrap'] = 'simple'"},{name:"confidence_level",val:": float = 0.95"},{name:"n_resamples",val:": int = 9999"},{name:"device",val:": int = None"},{name:"random_state",val:": typing.Optional[int] = None"},{name:"input_column",val:": str = 'text'"},{name:"label_column",val:": str = 'label'"},{name:"label_mapping",val:": typing.Union[typing.Dict[str, numbers.Number], NoneType] = None"}],source:"https://github.com/huggingface/evaluate/blob/main/src/evaluate/evaluator/base.py#L218"}}),ga=new G({}),ha=new j({props:{name:"class evaluate.Text2TextGenerationEvaluator",anchor:"evaluate.Text2TextGenerationEvaluator",parameters:[{name:"task",val:" = 'text2text-generation'"},{name:"default_metric_name",val:" = None"}],source:"https://github.com/huggingface/evaluate/blob/main/src/evaluate/evaluator/text2text_generation.py#L35"}}),_a=new j({props:{name:"compute",anchor:"evaluate.Text2TextGenerationEvaluator.compute",parameters:[{name:"model_or_pipeline",val:": typing.Union[str, ForwardRef('Pipeline'), typing.Callable, ForwardRef('PreTrainedModel'), ForwardRef('TFPreTrainedModel')] = None"},{name:"data",val:": typing.Union[str, datasets.arrow_dataset.Dataset] = None"},{name:"subset",val:": typing.Optional[str] = None"},{name:"split",val:": typing.Optional[str] = None"},{name:"metric",val:": typing.Union[str, evaluate.module.EvaluationModule] = None"},{name:"tokenizer",val:": typing.Union[str, ForwardRef('PreTrainedTokenizer'), NoneType] = None"},{name:"strategy",val:": typing.Literal['simple', 'bootstrap'] = 'simple'"},{name:"confidence_level",val:": float = 0.95"},{name:"n_resamples",val:": int = 9999"},{name:"device",val:": int = None"},{name:"random_state",val:": typing.Optional[int] = None"},{name:"input_column",val:": str = 'text'"},{name:"label_column",val:": str = 'label'"},{name:"generation_kwargs",val:": dict = None"}],parametersDescription:[{anchor:"evaluate.Text2TextGenerationEvaluator.compute.model_or_pipeline",description:`<strong>model_or_pipeline</strong> (<code>str</code> or <code>Pipeline</code> or <code>Callable</code> or <code>PreTrainedModel</code> or <code>TFPreTrainedModel</code>, defaults to <code>None</code>) &#x2014;
If the argument in not specified, we initialize the default pipeline for the task (in this case
<code>text-classification</code> or its alias - <code>sentiment-analysis</code>). If the argument is of the type <code>str</code> or
is a model instance, we use it to initialize a new <code>Pipeline</code> with the given model. Otherwise we assume the
argument specifies a pre-initialized pipeline.`,name:"model_or_pipeline"},{anchor:"evaluate.Text2TextGenerationEvaluator.compute.data",description:`<strong>data</strong> (<code>str</code> or <code>Dataset</code>, defaults to <code>None</code>) &#x2014;
Specifies the dataset we will run evaluation on. If it is of type <code>str</code>, we treat it as the dataset
name, and load it. Otherwise we assume it represents a pre-loaded dataset.`,name:"data"},{anchor:"evaluate.Text2TextGenerationEvaluator.compute.subset",description:`<strong>subset</strong> (<code>str</code>, defaults to <code>None</code>) &#x2014;
Defines which dataset subset to load. If <code>None</code> is passed the default subset is loaded.`,name:"subset"},{anchor:"evaluate.Text2TextGenerationEvaluator.compute.split",description:`<strong>split</strong> (<code>str</code>, defaults to <code>None</code>) &#x2014;
Defines which dataset split to load. If <code>None</code> is passed, infers based on the <code>choose_split</code> function.`,name:"split"},{anchor:"evaluate.Text2TextGenerationEvaluator.compute.metric",description:`<strong>metric</strong> (<code>str</code> or <code>EvaluationModule</code>, defaults to <code>None</code>) &#x2014;
Specifies the metric we use in evaluator. If it is of type <code>str</code>, we treat it as the metric name, and
load it. Otherwise we assume it represents a pre-loaded metric.`,name:"metric"},{anchor:"evaluate.Text2TextGenerationEvaluator.compute.tokenizer",description:`<strong>tokenizer</strong> (<code>str</code> or <code>PreTrainedTokenizer</code>, <em>optional</em>, defaults to <code>None</code>) &#x2014;
Argument can be used to overwrite a default tokenizer if <code>model_or_pipeline</code> represents a model for
which we build a pipeline. If <code>model_or_pipeline</code> is <code>None</code> or a pre-initialized pipeline, we ignore
this argument.`,name:"tokenizer"},{anchor:"evaluate.Text2TextGenerationEvaluator.compute.strategy",description:`<strong>strategy</strong> (<code>Literal[&quot;simple&quot;, &quot;bootstrap&quot;]</code>, defaults to &#x201C;simple&#x201D;) &#x2014;
specifies the evaluation strategy. Possible values are:</p>
<ul>
<li><code>&quot;simple&quot;</code> - we evaluate the metric and return the scores.</li>
<li><code>&quot;bootstrap&quot;</code> - on top of computing the metric scores, we calculate the confidence interval for each
of the returned metric keys, using <code>scipy</code>&#x2019;s <code>bootstrap</code> method
<a href="https://docs.scipy.org/doc/scipy/reference/generated/scipy.stats.bootstrap.html" rel="nofollow">https://docs.scipy.org/doc/scipy/reference/generated/scipy.stats.bootstrap.html</a>.</li>
</ul>`,name:"strategy"},{anchor:"evaluate.Text2TextGenerationEvaluator.compute.confidence_level",description:`<strong>confidence_level</strong> (<code>float</code>, defaults to <code>0.95</code>) &#x2014;
The <code>confidence_level</code> value passed to <code>bootstrap</code> if <code>&quot;bootstrap&quot;</code> strategy is chosen.`,name:"confidence_level"},{anchor:"evaluate.Text2TextGenerationEvaluator.compute.n_resamples",description:`<strong>n_resamples</strong> (<code>int</code>, defaults to <code>9999</code>) &#x2014;
The <code>n_resamples</code> value passed to <code>bootstrap</code> if <code>&quot;bootstrap&quot;</code> strategy is chosen.`,name:"n_resamples"},{anchor:"evaluate.Text2TextGenerationEvaluator.compute.device",description:`<strong>device</strong> (<code>int</code>, defaults to <code>None</code>) &#x2014;
Device ordinal for CPU/GPU support of the pipeline. Setting this to -1 will leverage CPU, a positive
integer will run the model on the associated CUDA device ID. If <code>None</code> is provided it will be inferred and
CUDA:0 used if available, CPU otherwise.`,name:"device"},{anchor:"evaluate.Text2TextGenerationEvaluator.compute.random_state",description:`<strong>random_state</strong> (<code>int</code>, <em>optional</em>, defaults to <code>None</code>) &#x2014;
The <code>random_state</code> value passed to <code>bootstrap</code> if <code>&quot;bootstrap&quot;</code> strategy is chosen. Useful for
debugging.`,name:"random_state"},{anchor:"evaluate.Text2TextGenerationEvaluator.compute.input_column",description:`<strong>input_column</strong> (<code>str</code>, defaults to <code>&quot;text&quot;</code>) &#x2014;
the name of the column containing the input text in the dataset specified by <code>data</code>.`,name:"input_column"},{anchor:"evaluate.Text2TextGenerationEvaluator.compute.label_column",description:`<strong>label_column</strong> (<code>str</code>, defaults to <code>&quot;label&quot;</code>) &#x2014;
the name of the column containing the labels in the dataset specified by <code>data</code>.`,name:"label_column"},{anchor:"evaluate.Text2TextGenerationEvaluator.compute.generation_kwargs",description:`<strong>generation_kwargs</strong> (<code>Dict</code>, <em>optional</em>, defaults to <code>None</code>) &#x2014;
The generation kwargs are passed to the pipeline and set the text generation strategy.`,name:"generation_kwargs"}],source:"https://github.com/huggingface/evaluate/blob/main/src/evaluate/evaluator/text2text_generation.py#L52",returnDescription:`
<p>A <code>Dict</code>. The keys represent metric keys calculated for the <code>metric</code> spefied in function arguments. For the
<code>"simple"</code> strategy, the value is the metric score. For the <code>"bootstrap"</code> strategy, the value is a <code>Dict</code>
containing the score, the confidence interval and the standard error calculated for each metric key.</p>
<p>Examples:</p>

	<CodeBlock 
		code={\`from evaluate import evaluator
from datasets import load_dataset
task_evaluator = evaluator("text2text-generation")
data = load_dataset("cnn_dailymail", "3.0.0", split="validation[:40]")
results = task_evaluator.compute(
    model_or_pipeline="facebook/bart-large-cnn",
    data=data,
    input_column="article",
    label_column="highlights",
    metric="rouge",
)\`}
		highlighted={\`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> evaluate <span class="hljs-keyword">import</span> evaluator
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset
<span class="hljs-meta">&gt;&gt;&gt; </span>task_evaluator = evaluator(<span class="hljs-string">&quot;text2text-generation&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>data = load_dataset(<span class="hljs-string">&quot;cnn_dailymail&quot;</span>, <span class="hljs-string">&quot;3.0.0&quot;</span>, split=<span class="hljs-string">&quot;validation[:40]&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>results = task_evaluator.compute(
<span class="hljs-meta">&gt;&gt;&gt; </span>    model_or_pipeline=<span class="hljs-string">&quot;facebook/bart-large-cnn&quot;</span>,
<span class="hljs-meta">&gt;&gt;&gt; </span>    data=data,
<span class="hljs-meta">&gt;&gt;&gt; </span>    input_column=<span class="hljs-string">&quot;article&quot;</span>,
<span class="hljs-meta">&gt;&gt;&gt; </span>    label_column=<span class="hljs-string">&quot;highlights&quot;</span>,
<span class="hljs-meta">&gt;&gt;&gt; </span>    metric=<span class="hljs-string">&quot;rouge&quot;</span>,
<span class="hljs-meta">&gt;&gt;&gt; </span>)\`}
	/>
`}}),ba=new G({}),$a=new j({props:{name:"class evaluate.SummarizationEvaluator",anchor:"evaluate.SummarizationEvaluator",parameters:[{name:"task",val:" = 'summarization'"},{name:"default_metric_name",val:" = None"}],source:"https://github.com/huggingface/evaluate/blob/main/src/evaluate/evaluator/text2text_generation.py#L113"}}),wa=new j({props:{name:"compute",anchor:"evaluate.SummarizationEvaluator.compute",parameters:[{name:"model_or_pipeline",val:": typing.Union[str, ForwardRef('Pipeline'), typing.Callable, ForwardRef('PreTrainedModel'), ForwardRef('TFPreTrainedModel')] = None"},{name:"data",val:": typing.Union[str, datasets.arrow_dataset.Dataset] = None"},{name:"subset",val:": typing.Optional[str] = None"},{name:"split",val:": typing.Optional[str] = None"},{name:"metric",val:": typing.Union[str, evaluate.module.EvaluationModule] = None"},{name:"tokenizer",val:": typing.Union[str, ForwardRef('PreTrainedTokenizer'), NoneType] = None"},{name:"strategy",val:": typing.Literal['simple', 'bootstrap'] = 'simple'"},{name:"confidence_level",val:": float = 0.95"},{name:"n_resamples",val:": int = 9999"},{name:"device",val:": int = None"},{name:"random_state",val:": typing.Optional[int] = None"},{name:"input_column",val:": str = 'text'"},{name:"label_column",val:": str = 'label'"},{name:"generation_kwargs",val:": dict = None"}],parametersDescription:[{anchor:"evaluate.SummarizationEvaluator.compute.model_or_pipeline",description:`<strong>model_or_pipeline</strong> (<code>str</code> or <code>Pipeline</code> or <code>Callable</code> or <code>PreTrainedModel</code> or <code>TFPreTrainedModel</code>, defaults to <code>None</code>) &#x2014;
If the argument in not specified, we initialize the default pipeline for the task (in this case
<code>text-classification</code> or its alias - <code>sentiment-analysis</code>). If the argument is of the type <code>str</code> or
is a model instance, we use it to initialize a new <code>Pipeline</code> with the given model. Otherwise we assume the
argument specifies a pre-initialized pipeline.`,name:"model_or_pipeline"},{anchor:"evaluate.SummarizationEvaluator.compute.data",description:`<strong>data</strong> (<code>str</code> or <code>Dataset</code>, defaults to <code>None</code>) &#x2014;
Specifies the dataset we will run evaluation on. If it is of type <code>str</code>, we treat it as the dataset
name, and load it. Otherwise we assume it represents a pre-loaded dataset.`,name:"data"},{anchor:"evaluate.SummarizationEvaluator.compute.subset",description:`<strong>subset</strong> (<code>str</code>, defaults to <code>None</code>) &#x2014;
Defines which dataset subset to load. If <code>None</code> is passed the default subset is loaded.`,name:"subset"},{anchor:"evaluate.SummarizationEvaluator.compute.split",description:`<strong>split</strong> (<code>str</code>, defaults to <code>None</code>) &#x2014;
Defines which dataset split to load. If <code>None</code> is passed, infers based on the <code>choose_split</code> function.`,name:"split"},{anchor:"evaluate.SummarizationEvaluator.compute.metric",description:`<strong>metric</strong> (<code>str</code> or <code>EvaluationModule</code>, defaults to <code>None</code>) &#x2014;
Specifies the metric we use in evaluator. If it is of type <code>str</code>, we treat it as the metric name, and
load it. Otherwise we assume it represents a pre-loaded metric.`,name:"metric"},{anchor:"evaluate.SummarizationEvaluator.compute.tokenizer",description:`<strong>tokenizer</strong> (<code>str</code> or <code>PreTrainedTokenizer</code>, <em>optional</em>, defaults to <code>None</code>) &#x2014;
Argument can be used to overwrite a default tokenizer if <code>model_or_pipeline</code> represents a model for
which we build a pipeline. If <code>model_or_pipeline</code> is <code>None</code> or a pre-initialized pipeline, we ignore
this argument.`,name:"tokenizer"},{anchor:"evaluate.SummarizationEvaluator.compute.strategy",description:`<strong>strategy</strong> (<code>Literal[&quot;simple&quot;, &quot;bootstrap&quot;]</code>, defaults to &#x201C;simple&#x201D;) &#x2014;
specifies the evaluation strategy. Possible values are:</p>
<ul>
<li><code>&quot;simple&quot;</code> - we evaluate the metric and return the scores.</li>
<li><code>&quot;bootstrap&quot;</code> - on top of computing the metric scores, we calculate the confidence interval for each
of the returned metric keys, using <code>scipy</code>&#x2019;s <code>bootstrap</code> method
<a href="https://docs.scipy.org/doc/scipy/reference/generated/scipy.stats.bootstrap.html" rel="nofollow">https://docs.scipy.org/doc/scipy/reference/generated/scipy.stats.bootstrap.html</a>.</li>
</ul>`,name:"strategy"},{anchor:"evaluate.SummarizationEvaluator.compute.confidence_level",description:`<strong>confidence_level</strong> (<code>float</code>, defaults to <code>0.95</code>) &#x2014;
The <code>confidence_level</code> value passed to <code>bootstrap</code> if <code>&quot;bootstrap&quot;</code> strategy is chosen.`,name:"confidence_level"},{anchor:"evaluate.SummarizationEvaluator.compute.n_resamples",description:`<strong>n_resamples</strong> (<code>int</code>, defaults to <code>9999</code>) &#x2014;
The <code>n_resamples</code> value passed to <code>bootstrap</code> if <code>&quot;bootstrap&quot;</code> strategy is chosen.`,name:"n_resamples"},{anchor:"evaluate.SummarizationEvaluator.compute.device",description:`<strong>device</strong> (<code>int</code>, defaults to <code>None</code>) &#x2014;
Device ordinal for CPU/GPU support of the pipeline. Setting this to -1 will leverage CPU, a positive
integer will run the model on the associated CUDA device ID. If <code>None</code> is provided it will be inferred and
CUDA:0 used if available, CPU otherwise.`,name:"device"},{anchor:"evaluate.SummarizationEvaluator.compute.random_state",description:`<strong>random_state</strong> (<code>int</code>, <em>optional</em>, defaults to <code>None</code>) &#x2014;
The <code>random_state</code> value passed to <code>bootstrap</code> if <code>&quot;bootstrap&quot;</code> strategy is chosen. Useful for
debugging.`,name:"random_state"},{anchor:"evaluate.SummarizationEvaluator.compute.input_column",description:`<strong>input_column</strong> (<code>str</code>, defaults to <code>&quot;text&quot;</code>) &#x2014;
the name of the column containing the input text in the dataset specified by <code>data</code>.`,name:"input_column"},{anchor:"evaluate.SummarizationEvaluator.compute.label_column",description:`<strong>label_column</strong> (<code>str</code>, defaults to <code>&quot;label&quot;</code>) &#x2014;
the name of the column containing the labels in the dataset specified by <code>data</code>.`,name:"label_column"},{anchor:"evaluate.SummarizationEvaluator.compute.generation_kwargs",description:`<strong>generation_kwargs</strong> (<code>Dict</code>, <em>optional</em>, defaults to <code>None</code>) &#x2014;
The generation kwargs are passed to the pipeline and set the text generation strategy.`,name:"generation_kwargs"}],source:"https://github.com/huggingface/evaluate/blob/main/src/evaluate/evaluator/text2text_generation.py#L127",returnDescription:`
<p>A <code>Dict</code>. The keys represent metric keys calculated for the <code>metric</code> spefied in function arguments. For the
<code>"simple"</code> strategy, the value is the metric score. For the <code>"bootstrap"</code> strategy, the value is a <code>Dict</code>
containing the score, the confidence interval and the standard error calculated for each metric key.</p>
<p>Examples:</p>

	<CodeBlock 
		code={\`from evaluate import evaluator
from datasets import load_dataset
task_evaluator = evaluator("summarization")
data = load_dataset("cnn_dailymail", "3.0.0", split="validation[:40]")
results = task_evaluator.compute(
    model_or_pipeline="facebook/bart-large-cnn",
    data=data,
    input_column="article",
    label_column="highlights",
)\`}
		highlighted={\`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> evaluate <span class="hljs-keyword">import</span> evaluator
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset
<span class="hljs-meta">&gt;&gt;&gt; </span>task_evaluator = evaluator(<span class="hljs-string">&quot;summarization&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>data = load_dataset(<span class="hljs-string">&quot;cnn_dailymail&quot;</span>, <span class="hljs-string">&quot;3.0.0&quot;</span>, split=<span class="hljs-string">&quot;validation[:40]&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>results = task_evaluator.compute(
<span class="hljs-meta">&gt;&gt;&gt; </span>    model_or_pipeline=<span class="hljs-string">&quot;facebook/bart-large-cnn&quot;</span>,
<span class="hljs-meta">&gt;&gt;&gt; </span>    data=data,
<span class="hljs-meta">&gt;&gt;&gt; </span>    input_column=<span class="hljs-string">&quot;article&quot;</span>,
<span class="hljs-meta">&gt;&gt;&gt; </span>    label_column=<span class="hljs-string">&quot;highlights&quot;</span>,
<span class="hljs-meta">&gt;&gt;&gt; </span>)\`}
	/>
`}}),ya=new G({}),Ea=new j({props:{name:"class evaluate.TranslationEvaluator",anchor:"evaluate.TranslationEvaluator",parameters:[{name:"task",val:" = 'translation'"},{name:"default_metric_name",val:" = None"}],source:"https://github.com/huggingface/evaluate/blob/main/src/evaluate/evaluator/text2text_generation.py#L184"}}),qa=new j({props:{name:"compute",anchor:"evaluate.TranslationEvaluator.compute",parameters:[{name:"model_or_pipeline",val:": typing.Union[str, ForwardRef('Pipeline'), typing.Callable, ForwardRef('PreTrainedModel'), ForwardRef('TFPreTrainedModel')] = None"},{name:"data",val:": typing.Union[str, datasets.arrow_dataset.Dataset] = None"},{name:"subset",val:": typing.Optional[str] = None"},{name:"split",val:": typing.Optional[str] = None"},{name:"metric",val:": typing.Union[str, evaluate.module.EvaluationModule] = None"},{name:"tokenizer",val:": typing.Union[str, ForwardRef('PreTrainedTokenizer'), NoneType] = None"},{name:"strategy",val:": typing.Literal['simple', 'bootstrap'] = 'simple'"},{name:"confidence_level",val:": float = 0.95"},{name:"n_resamples",val:": int = 9999"},{name:"device",val:": int = None"},{name:"random_state",val:": typing.Optional[int] = None"},{name:"input_column",val:": str = 'text'"},{name:"label_column",val:": str = 'label'"},{name:"generation_kwargs",val:": dict = None"}],parametersDescription:[{anchor:"evaluate.TranslationEvaluator.compute.model_or_pipeline",description:`<strong>model_or_pipeline</strong> (<code>str</code> or <code>Pipeline</code> or <code>Callable</code> or <code>PreTrainedModel</code> or <code>TFPreTrainedModel</code>, defaults to <code>None</code>) &#x2014;
If the argument in not specified, we initialize the default pipeline for the task (in this case
<code>text-classification</code> or its alias - <code>sentiment-analysis</code>). If the argument is of the type <code>str</code> or
is a model instance, we use it to initialize a new <code>Pipeline</code> with the given model. Otherwise we assume the
argument specifies a pre-initialized pipeline.`,name:"model_or_pipeline"},{anchor:"evaluate.TranslationEvaluator.compute.data",description:`<strong>data</strong> (<code>str</code> or <code>Dataset</code>, defaults to <code>None</code>) &#x2014;
Specifies the dataset we will run evaluation on. If it is of type <code>str</code>, we treat it as the dataset
name, and load it. Otherwise we assume it represents a pre-loaded dataset.`,name:"data"},{anchor:"evaluate.TranslationEvaluator.compute.subset",description:`<strong>subset</strong> (<code>str</code>, defaults to <code>None</code>) &#x2014;
Defines which dataset subset to load. If <code>None</code> is passed the default subset is loaded.`,name:"subset"},{anchor:"evaluate.TranslationEvaluator.compute.split",description:`<strong>split</strong> (<code>str</code>, defaults to <code>None</code>) &#x2014;
Defines which dataset split to load. If <code>None</code> is passed, infers based on the <code>choose_split</code> function.`,name:"split"},{anchor:"evaluate.TranslationEvaluator.compute.metric",description:`<strong>metric</strong> (<code>str</code> or <code>EvaluationModule</code>, defaults to <code>None</code>) &#x2014;
Specifies the metric we use in evaluator. If it is of type <code>str</code>, we treat it as the metric name, and
load it. Otherwise we assume it represents a pre-loaded metric.`,name:"metric"},{anchor:"evaluate.TranslationEvaluator.compute.tokenizer",description:`<strong>tokenizer</strong> (<code>str</code> or <code>PreTrainedTokenizer</code>, <em>optional</em>, defaults to <code>None</code>) &#x2014;
Argument can be used to overwrite a default tokenizer if <code>model_or_pipeline</code> represents a model for
which we build a pipeline. If <code>model_or_pipeline</code> is <code>None</code> or a pre-initialized pipeline, we ignore
this argument.`,name:"tokenizer"},{anchor:"evaluate.TranslationEvaluator.compute.strategy",description:`<strong>strategy</strong> (<code>Literal[&quot;simple&quot;, &quot;bootstrap&quot;]</code>, defaults to &#x201C;simple&#x201D;) &#x2014;
specifies the evaluation strategy. Possible values are:</p>
<ul>
<li><code>&quot;simple&quot;</code> - we evaluate the metric and return the scores.</li>
<li><code>&quot;bootstrap&quot;</code> - on top of computing the metric scores, we calculate the confidence interval for each
of the returned metric keys, using <code>scipy</code>&#x2019;s <code>bootstrap</code> method
<a href="https://docs.scipy.org/doc/scipy/reference/generated/scipy.stats.bootstrap.html" rel="nofollow">https://docs.scipy.org/doc/scipy/reference/generated/scipy.stats.bootstrap.html</a>.</li>
</ul>`,name:"strategy"},{anchor:"evaluate.TranslationEvaluator.compute.confidence_level",description:`<strong>confidence_level</strong> (<code>float</code>, defaults to <code>0.95</code>) &#x2014;
The <code>confidence_level</code> value passed to <code>bootstrap</code> if <code>&quot;bootstrap&quot;</code> strategy is chosen.`,name:"confidence_level"},{anchor:"evaluate.TranslationEvaluator.compute.n_resamples",description:`<strong>n_resamples</strong> (<code>int</code>, defaults to <code>9999</code>) &#x2014;
The <code>n_resamples</code> value passed to <code>bootstrap</code> if <code>&quot;bootstrap&quot;</code> strategy is chosen.`,name:"n_resamples"},{anchor:"evaluate.TranslationEvaluator.compute.device",description:`<strong>device</strong> (<code>int</code>, defaults to <code>None</code>) &#x2014;
Device ordinal for CPU/GPU support of the pipeline. Setting this to -1 will leverage CPU, a positive
integer will run the model on the associated CUDA device ID. If <code>None</code> is provided it will be inferred and
CUDA:0 used if available, CPU otherwise.`,name:"device"},{anchor:"evaluate.TranslationEvaluator.compute.random_state",description:`<strong>random_state</strong> (<code>int</code>, <em>optional</em>, defaults to <code>None</code>) &#x2014;
The <code>random_state</code> value passed to <code>bootstrap</code> if <code>&quot;bootstrap&quot;</code> strategy is chosen. Useful for
debugging.`,name:"random_state"},{anchor:"evaluate.TranslationEvaluator.compute.input_column",description:`<strong>input_column</strong> (<code>str</code>, defaults to <code>&quot;text&quot;</code>) &#x2014;
the name of the column containing the input text in the dataset specified by <code>data</code>.`,name:"input_column"},{anchor:"evaluate.TranslationEvaluator.compute.label_column",description:`<strong>label_column</strong> (<code>str</code>, defaults to <code>&quot;label&quot;</code>) &#x2014;
the name of the column containing the labels in the dataset specified by <code>data</code>.`,name:"label_column"},{anchor:"evaluate.TranslationEvaluator.compute.generation_kwargs",description:`<strong>generation_kwargs</strong> (<code>Dict</code>, <em>optional</em>, defaults to <code>None</code>) &#x2014;
The generation kwargs are passed to the pipeline and set the text generation strategy.`,name:"generation_kwargs"}],source:"https://github.com/huggingface/evaluate/blob/main/src/evaluate/evaluator/text2text_generation.py#L198",returnDescription:`
<p>A <code>Dict</code>. The keys represent metric keys calculated for the <code>metric</code> spefied in function arguments. For the
<code>"simple"</code> strategy, the value is the metric score. For the <code>"bootstrap"</code> strategy, the value is a <code>Dict</code>
containing the score, the confidence interval and the standard error calculated for each metric key.</p>
<p>Examples:</p>

	<CodeBlock 
		code={\`from evaluate import evaluator
from datasets import load_dataset
task_evaluator = evaluator("translation")
data = load_dataset("wmt19", "fr-de", split="validation[:40]")
data = data.map(lambda x: {"text": x["translation"]["de"], "label": x["translation"]["fr"]\\})
results = task_evaluator.compute(
    model_or_pipeline="Helsinki-NLP/opus-mt-de-fr",
    data=data,
)\`}
		highlighted={\`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> evaluate <span class="hljs-keyword">import</span> evaluator
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset
<span class="hljs-meta">&gt;&gt;&gt; </span>task_evaluator = evaluator(<span class="hljs-string">&quot;translation&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>data = load_dataset(<span class="hljs-string">&quot;wmt19&quot;</span>, <span class="hljs-string">&quot;fr-de&quot;</span>, split=<span class="hljs-string">&quot;validation[:40]&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>data = data.<span class="hljs-built_in">map</span>(<span class="hljs-keyword">lambda</span> x: {<span class="hljs-string">&quot;text&quot;</span>: x[<span class="hljs-string">&quot;translation&quot;</span>][<span class="hljs-string">&quot;de&quot;</span>], <span class="hljs-string">&quot;label&quot;</span>: x[<span class="hljs-string">&quot;translation&quot;</span>][<span class="hljs-string">&quot;fr&quot;</span>]\\})
<span class="hljs-meta">&gt;&gt;&gt; </span>results = task_evaluator.compute(
<span class="hljs-meta">&gt;&gt;&gt; </span>    model_or_pipeline=<span class="hljs-string">&quot;Helsinki-NLP/opus-mt-de-fr&quot;</span>,
<span class="hljs-meta">&gt;&gt;&gt; </span>    data=data,
<span class="hljs-meta">&gt;&gt;&gt; </span>)\`}
	/>
`}}),ka=new G({}),ja=new j({props:{name:"class evaluate.AutomaticSpeechRecognitionEvaluator",anchor:"evaluate.AutomaticSpeechRecognitionEvaluator",parameters:[{name:"task",val:" = 'automatic-speech-recognition'"},{name:"default_metric_name",val:" = None"}],source:"https://github.com/huggingface/evaluate/blob/main/src/evaluate/evaluator/automatic_speech_recognition.py#L43"}}),Ta=new j({props:{name:"compute",anchor:"evaluate.AutomaticSpeechRecognitionEvaluator.compute",parameters:[{name:"model_or_pipeline",val:": typing.Union[str, ForwardRef('Pipeline'), typing.Callable, ForwardRef('PreTrainedModel'), ForwardRef('TFPreTrainedModel')] = None"},{name:"data",val:": typing.Union[str, datasets.arrow_dataset.Dataset] = None"},{name:"subset",val:": typing.Optional[str] = None"},{name:"split",val:": typing.Optional[str] = None"},{name:"metric",val:": typing.Union[str, evaluate.module.EvaluationModule] = None"},{name:"tokenizer",val:": typing.Union[str, ForwardRef('PreTrainedTokenizer'), NoneType] = None"},{name:"strategy",val:": typing.Literal['simple', 'bootstrap'] = 'simple'"},{name:"confidence_level",val:": float = 0.95"},{name:"n_resamples",val:": int = 9999"},{name:"device",val:": int = None"},{name:"random_state",val:": typing.Optional[int] = None"},{name:"input_column",val:": str = 'path'"},{name:"label_column",val:": str = 'sentence'"},{name:"generation_kwargs",val:": dict = None"}],parametersDescription:[{anchor:"evaluate.AutomaticSpeechRecognitionEvaluator.compute.model_or_pipeline",description:`<strong>model_or_pipeline</strong> (<code>str</code> or <code>Pipeline</code> or <code>Callable</code> or <code>PreTrainedModel</code> or <code>TFPreTrainedModel</code>, defaults to <code>None</code>) &#x2014;
If the argument in not specified, we initialize the default pipeline for the task (in this case
<code>text-classification</code> or its alias - <code>sentiment-analysis</code>). If the argument is of the type <code>str</code> or
is a model instance, we use it to initialize a new <code>Pipeline</code> with the given model. Otherwise we assume the
argument specifies a pre-initialized pipeline.`,name:"model_or_pipeline"},{anchor:"evaluate.AutomaticSpeechRecognitionEvaluator.compute.data",description:`<strong>data</strong> (<code>str</code> or <code>Dataset</code>, defaults to <code>None</code>) &#x2014;
Specifies the dataset we will run evaluation on. If it is of type <code>str</code>, we treat it as the dataset
name, and load it. Otherwise we assume it represents a pre-loaded dataset.`,name:"data"},{anchor:"evaluate.AutomaticSpeechRecognitionEvaluator.compute.subset",description:`<strong>subset</strong> (<code>str</code>, defaults to <code>None</code>) &#x2014;
Defines which dataset subset to load. If <code>None</code> is passed the default subset is loaded.`,name:"subset"},{anchor:"evaluate.AutomaticSpeechRecognitionEvaluator.compute.split",description:`<strong>split</strong> (<code>str</code>, defaults to <code>None</code>) &#x2014;
Defines which dataset split to load. If <code>None</code> is passed, infers based on the <code>choose_split</code> function.`,name:"split"},{anchor:"evaluate.AutomaticSpeechRecognitionEvaluator.compute.metric",description:`<strong>metric</strong> (<code>str</code> or <code>EvaluationModule</code>, defaults to <code>None</code>) &#x2014;
Specifies the metric we use in evaluator. If it is of type <code>str</code>, we treat it as the metric name, and
load it. Otherwise we assume it represents a pre-loaded metric.`,name:"metric"},{anchor:"evaluate.AutomaticSpeechRecognitionEvaluator.compute.tokenizer",description:`<strong>tokenizer</strong> (<code>str</code> or <code>PreTrainedTokenizer</code>, <em>optional</em>, defaults to <code>None</code>) &#x2014;
Argument can be used to overwrite a default tokenizer if <code>model_or_pipeline</code> represents a model for
which we build a pipeline. If <code>model_or_pipeline</code> is <code>None</code> or a pre-initialized pipeline, we ignore
this argument.`,name:"tokenizer"},{anchor:"evaluate.AutomaticSpeechRecognitionEvaluator.compute.strategy",description:`<strong>strategy</strong> (<code>Literal[&quot;simple&quot;, &quot;bootstrap&quot;]</code>, defaults to &#x201C;simple&#x201D;) &#x2014;
specifies the evaluation strategy. Possible values are:<ul>
<li><code>&quot;simple&quot;</code> - we evaluate the metric and return the scores.</li>
<li><code>&quot;bootstrap&quot;</code> - on top of computing the metric scores, we calculate the confidence interval for each
of the returned metric keys, using <code>scipy</code>&#x2019;s <code>bootstrap</code> method
<a href="https://docs.scipy.org/doc/scipy/reference/generated/scipy.stats.bootstrap.html" rel="nofollow">https://docs.scipy.org/doc/scipy/reference/generated/scipy.stats.bootstrap.html</a>.</li>
</ul>`,name:"strategy"},{anchor:"evaluate.AutomaticSpeechRecognitionEvaluator.compute.confidence_level",description:`<strong>confidence_level</strong> (<code>float</code>, defaults to <code>0.95</code>) &#x2014;
The <code>confidence_level</code> value passed to <code>bootstrap</code> if <code>&quot;bootstrap&quot;</code> strategy is chosen.`,name:"confidence_level"},{anchor:"evaluate.AutomaticSpeechRecognitionEvaluator.compute.n_resamples",description:`<strong>n_resamples</strong> (<code>int</code>, defaults to <code>9999</code>) &#x2014;
The <code>n_resamples</code> value passed to <code>bootstrap</code> if <code>&quot;bootstrap&quot;</code> strategy is chosen.`,name:"n_resamples"},{anchor:"evaluate.AutomaticSpeechRecognitionEvaluator.compute.device",description:`<strong>device</strong> (<code>int</code>, defaults to <code>None</code>) &#x2014;
Device ordinal for CPU/GPU support of the pipeline. Setting this to -1 will leverage CPU, a positive
integer will run the model on the associated CUDA device ID. If <code>None</code> is provided it will be inferred and
CUDA:0 used if available, CPU otherwise.`,name:"device"},{anchor:"evaluate.AutomaticSpeechRecognitionEvaluator.compute.random_state",description:`<strong>random_state</strong> (<code>int</code>, <em>optional</em>, defaults to <code>None</code>) &#x2014;
The <code>random_state</code> value passed to <code>bootstrap</code> if <code>&quot;bootstrap&quot;</code> strategy is chosen. Useful for
debugging.`,name:"random_state"}],source:"https://github.com/huggingface/evaluate/blob/main/src/evaluate/evaluator/automatic_speech_recognition.py#L59",returnDescription:`
<p>A <code>Dict</code>. The keys represent metric keys calculated for the <code>metric</code> spefied in function arguments. For the
<code>"simple"</code> strategy, the value is the metric score. For the <code>"bootstrap"</code> strategy, the value is a <code>Dict</code>
containing the score, the confidence interval and the standard error calculated for each metric key.</p>
`}}),vt=new D({props:{anchor:"evaluate.AutomaticSpeechRecognitionEvaluator.compute.example",$$slots:{default:[Cp]},$$scope:{ctx:k}}}),Na=new G({}),Pa=new j({props:{name:"class evaluate.AudioClassificationEvaluator",anchor:"evaluate.AudioClassificationEvaluator",parameters:[{name:"task",val:" = 'audio-classification'"},{name:"default_metric_name",val:" = None"}],source:"https://github.com/huggingface/evaluate/blob/main/src/evaluate/evaluator/audio_classification.py#L77"}}),Da=new j({props:{name:"compute",anchor:"evaluate.AudioClassificationEvaluator.compute",parameters:[{name:"model_or_pipeline",val:": typing.Union[str, ForwardRef('Pipeline'), typing.Callable, ForwardRef('PreTrainedModel'), ForwardRef('TFPreTrainedModel')] = None"},{name:"data",val:": typing.Union[str, datasets.arrow_dataset.Dataset] = None"},{name:"subset",val:": typing.Optional[str] = None"},{name:"split",val:": typing.Optional[str] = None"},{name:"metric",val:": typing.Union[str, evaluate.module.EvaluationModule] = None"},{name:"tokenizer",val:": typing.Union[str, ForwardRef('PreTrainedTokenizer'), NoneType] = None"},{name:"feature_extractor",val:": typing.Union[str, ForwardRef('FeatureExtractionMixin'), NoneType] = None"},{name:"strategy",val:": typing.Literal['simple', 'bootstrap'] = 'simple'"},{name:"confidence_level",val:": float = 0.95"},{name:"n_resamples",val:": int = 9999"},{name:"device",val:": int = None"},{name:"random_state",val:": typing.Optional[int] = None"},{name:"input_column",val:": str = 'file'"},{name:"label_column",val:": str = 'label'"},{name:"label_mapping",val:": typing.Union[typing.Dict[str, numbers.Number], NoneType] = None"}],parametersDescription:[{anchor:"evaluate.AudioClassificationEvaluator.compute.model_or_pipeline",description:`<strong>model_or_pipeline</strong> (<code>str</code> or <code>Pipeline</code> or <code>Callable</code> or <code>PreTrainedModel</code> or <code>TFPreTrainedModel</code>, defaults to <code>None</code>) &#x2014;
If the argument in not specified, we initialize the default pipeline for the task (in this case
<code>text-classification</code> or its alias - <code>sentiment-analysis</code>). If the argument is of the type <code>str</code> or
is a model instance, we use it to initialize a new <code>Pipeline</code> with the given model. Otherwise we assume the
argument specifies a pre-initialized pipeline.`,name:"model_or_pipeline"},{anchor:"evaluate.AudioClassificationEvaluator.compute.data",description:`<strong>data</strong> (<code>str</code> or <code>Dataset</code>, defaults to <code>None</code>) &#x2014;
Specifies the dataset we will run evaluation on. If it is of type <code>str</code>, we treat it as the dataset
name, and load it. Otherwise we assume it represents a pre-loaded dataset.`,name:"data"},{anchor:"evaluate.AudioClassificationEvaluator.compute.subset",description:`<strong>subset</strong> (<code>str</code>, defaults to <code>None</code>) &#x2014;
Defines which dataset subset to load. If <code>None</code> is passed the default subset is loaded.`,name:"subset"},{anchor:"evaluate.AudioClassificationEvaluator.compute.split",description:`<strong>split</strong> (<code>str</code>, defaults to <code>None</code>) &#x2014;
Defines which dataset split to load. If <code>None</code> is passed, infers based on the <code>choose_split</code> function.`,name:"split"},{anchor:"evaluate.AudioClassificationEvaluator.compute.metric",description:`<strong>metric</strong> (<code>str</code> or <code>EvaluationModule</code>, defaults to <code>None</code>) &#x2014;
Specifies the metric we use in evaluator. If it is of type <code>str</code>, we treat it as the metric name, and
load it. Otherwise we assume it represents a pre-loaded metric.`,name:"metric"},{anchor:"evaluate.AudioClassificationEvaluator.compute.tokenizer",description:`<strong>tokenizer</strong> (<code>str</code> or <code>PreTrainedTokenizer</code>, <em>optional</em>, defaults to <code>None</code>) &#x2014;
Argument can be used to overwrite a default tokenizer if <code>model_or_pipeline</code> represents a model for
which we build a pipeline. If <code>model_or_pipeline</code> is <code>None</code> or a pre-initialized pipeline, we ignore
this argument.`,name:"tokenizer"},{anchor:"evaluate.AudioClassificationEvaluator.compute.strategy",description:`<strong>strategy</strong> (<code>Literal[&quot;simple&quot;, &quot;bootstrap&quot;]</code>, defaults to &#x201C;simple&#x201D;) &#x2014;
specifies the evaluation strategy. Possible values are:<ul>
<li><code>&quot;simple&quot;</code> - we evaluate the metric and return the scores.</li>
<li><code>&quot;bootstrap&quot;</code> - on top of computing the metric scores, we calculate the confidence interval for each
of the returned metric keys, using <code>scipy</code>&#x2019;s <code>bootstrap</code> method
<a href="https://docs.scipy.org/doc/scipy/reference/generated/scipy.stats.bootstrap.html" rel="nofollow">https://docs.scipy.org/doc/scipy/reference/generated/scipy.stats.bootstrap.html</a>.</li>
</ul>`,name:"strategy"},{anchor:"evaluate.AudioClassificationEvaluator.compute.confidence_level",description:`<strong>confidence_level</strong> (<code>float</code>, defaults to <code>0.95</code>) &#x2014;
The <code>confidence_level</code> value passed to <code>bootstrap</code> if <code>&quot;bootstrap&quot;</code> strategy is chosen.`,name:"confidence_level"},{anchor:"evaluate.AudioClassificationEvaluator.compute.n_resamples",description:`<strong>n_resamples</strong> (<code>int</code>, defaults to <code>9999</code>) &#x2014;
The <code>n_resamples</code> value passed to <code>bootstrap</code> if <code>&quot;bootstrap&quot;</code> strategy is chosen.`,name:"n_resamples"},{anchor:"evaluate.AudioClassificationEvaluator.compute.device",description:`<strong>device</strong> (<code>int</code>, defaults to <code>None</code>) &#x2014;
Device ordinal for CPU/GPU support of the pipeline. Setting this to -1 will leverage CPU, a positive
integer will run the model on the associated CUDA device ID. If <code>None</code> is provided it will be inferred and
CUDA:0 used if available, CPU otherwise.`,name:"device"},{anchor:"evaluate.AudioClassificationEvaluator.compute.random_state",description:`<strong>random_state</strong> (<code>int</code>, <em>optional</em>, defaults to <code>None</code>) &#x2014;
The <code>random_state</code> value passed to <code>bootstrap</code> if <code>&quot;bootstrap&quot;</code> strategy is chosen. Useful for
debugging.`,name:"random_state"}],source:"https://github.com/huggingface/evaluate/blob/main/src/evaluate/evaluator/audio_classification.py#L96",returnDescription:`
<p>A <code>Dict</code>. The keys represent metric keys calculated for the <code>metric</code> spefied in function arguments. For the
<code>"simple"</code> strategy, the value is the metric score. For the <code>"bootstrap"</code> strategy, the value is a <code>Dict</code>
containing the score, the confidence interval and the standard error calculated for each metric key.</p>
`}}),bt=new zs({props:{$$slots:{default:[Dp]},$$scope:{ctx:k}}}),$t=new D({props:{anchor:"evaluate.AudioClassificationEvaluator.compute.example",$$slots:{default:[Ap]},$$scope:{ctx:k}}}),wt=new zs({props:{$$slots:{default:[Ip]},$$scope:{ctx:k}}}),yt=new D({props:{anchor:"evaluate.AudioClassificationEvaluator.compute.example-2",$$slots:{default:[zp]},$$scope:{ctx:k}}}),{c(){l=s("meta"),v=u(),i=s("h1"),p=s("a"),_=s("span"),$(o.$$.fragment),g=u(),z=s("span"),P=c("Evaluator"),R=u(),ye=s("p"),Dn=c("The evaluator classes for automatic evaluation."),Ss=u(),Ee=s("h2"),Me=s("a"),vo=s("span"),$(Pt.$$.fragment),An=u(),_o=s("span"),In=c("Evaluator classes"),Us=u(),Sa=s("p"),zn=c("The main entry point for using the evaluator:"),Fs=u(),Q=s("div"),$(Ct.$$.fragment),Sn=u(),B=s("p"),Un=c("Utility factory method to build an "),Ua=s("a"),Fn=c("Evaluator"),Mn=c(`.
Evaluators encapsulate a task and a default metric name. They leverage `),bo=s("code"),On=c("pipeline"),Rn=c(" functionality from "),$o=s("code"),Ln=c("transformers"),Gn=c(`
to simplify the evaluation of multiple combinations of models, datasets and metrics for a given task.`),Vn=u(),$(Oe.$$.fragment),Ms=u(),Fa=s("p"),Qn=c("The base class for all evaluator classes:"),Os=u(),T=s("div"),$(Dt.$$.fragment),Bn=u(),At=s("p"),Hn=c("The "),Ma=s("a"),Yn=c("Evaluator"),Jn=c(` class is the class from which all evaluators inherit. Refer to this class for methods shared across
different evaluators.
Base class implementing evaluator operations.`),Wn=u(),ce=s("div"),$(It.$$.fragment),Kn=u(),wo=s("p"),Xn=c("Ensure the columns required for the evaluation are present in the dataset."),Zn=u(),$(Re.$$.fragment),er=u(),Le=s("div"),$(zt.$$.fragment),tr=u(),yo=s("p"),ar=c("Compute and return metrics."),or=u(),de=s("div"),$(St.$$.fragment),sr=u(),Ut=s("p"),nr=c("Infers which split to use if "),Eo=s("code"),rr=c("None"),lr=c(" is given."),ir=u(),$(Ge.$$.fragment),cr=u(),pe=s("div"),$(Ft.$$.fragment),dr=u(),xo=s("p"),pr=c("Load dataset with given subset and split."),ur=u(),$(Ve.$$.fragment),mr=u(),Qe=s("div"),$(Mt.$$.fragment),fr=u(),Ot=s("p"),gr=c("A core method of the "),qo=s("code"),hr=c("Evaluator"),vr=c(" class, which processes the pipeline outputs for compatibility with the metric."),_r=u(),ue=s("div"),$(Rt.$$.fragment),br=u(),ko=s("p"),$r=c("Prepare data."),wr=u(),$(Be.$$.fragment),yr=u(),me=s("div"),$(Lt.$$.fragment),Er=u(),jo=s("p"),xr=c("Prepare metric."),qr=u(),$(He.$$.fragment),kr=u(),fe=s("div"),$(Gt.$$.fragment),jr=u(),To=s("p"),Tr=c("Prepare pipeline."),Nr=u(),$(Ye.$$.fragment),Rs=u(),xe=s("h2"),Je=s("a"),No=s("span"),$(Vt.$$.fragment),Pr=u(),Po=s("span"),Cr=c("The task specific evaluators"),Ls=u(),qe=s("h3"),We=s("a"),Co=s("span"),$(Qt.$$.fragment),Dr=u(),Do=s("span"),Ar=c("ImageClassificationEvaluator"),Gs=u(),H=s("div"),$(Bt.$$.fragment),Ir=u(),Y=s("p"),zr=c(`Image classification evaluator.
This image classification evaluator can currently be loaded from `),Oa=s("a"),Sr=c("evaluator()"),Ur=c(` using the default task name
`),Ao=s("code"),Fr=c("image-classification"),Mr=c(`.
Methods in this class assume a data format compatible with the `),Io=s("code"),Or=c("ImageClassificationPipeline"),Rr=c("."),Lr=u(),ge=s("div"),$(Ht.$$.fragment),Gr=u(),zo=s("p"),Vr=c("Compute the metric for a given pipeline and dataset combination."),Qr=u(),$(Ke.$$.fragment),Vs=u(),ke=s("h3"),Xe=s("a"),So=s("span"),$(Yt.$$.fragment),Br=u(),Uo=s("span"),Hr=c("QuestionAnsweringEvaluator"),Qs=u(),U=s("div"),$(Jt.$$.fragment),Yr=u(),Wt=s("p"),Jr=c(`Question answering evaluator. This evaluator handles
`),Ze=s("a"),Fo=s("strong"),Wr=c("extractive"),Kr=c(" question answering"),Xr=c(`,
where the answer to the question is extracted from a context.`),Zr=u(),je=s("p"),el=c("This question answering evaluator can currently be loaded from "),Ra=s("a"),tl=c("evaluator()"),al=c(` using the default task name
`),Mo=s("code"),ol=c("question-answering"),sl=c("."),nl=u(),Kt=s("p"),rl=c(`Methods in this class assume a data format compatible with the
`),Xt=s("a"),ll=c("QuestionAnsweringPipeline"),il=c("."),cl=u(),M=s("div"),$(Zt.$$.fragment),dl=u(),Oo=s("p"),pl=c("Compute the metric for a given pipeline and dataset combination."),ul=u(),$(et.$$.fragment),ml=u(),$(tt.$$.fragment),fl=u(),$(at.$$.fragment),Bs=u(),Te=s("h3"),ot=s("a"),Ro=s("span"),$(ea.$$.fragment),gl=u(),Lo=s("span"),hl=c("TextClassificationEvaluator"),Hs=u(),J=s("div"),$(ta.$$.fragment),vl=u(),L=s("p"),_l=c(`Text classification evaluator.
This text classification evaluator can currently be loaded from `),La=s("a"),bl=c("evaluator()"),$l=c(` using the default task name
`),Go=s("code"),wl=c("text-classification"),yl=c(" or with a "),Vo=s("code"),El=c('"sentiment-analysis"'),xl=c(` alias.
Methods in this class assume a data format compatible with the `),aa=s("a"),ql=c("TextClassificationPipeline"),kl=c(` - a single textual
feature as input and a categorical label as output.`),jl=u(),he=s("div"),$(oa.$$.fragment),Tl=u(),Qo=s("p"),Nl=c("Compute the metric for a given pipeline and dataset combination."),Pl=u(),$(st.$$.fragment),Ys=u(),Ne=s("h3"),nt=s("a"),Bo=s("span"),$(sa.$$.fragment),Cl=u(),Ho=s("span"),Dl=c("TokenClassificationEvaluator"),Js=u(),F=s("div"),$(na.$$.fragment),Al=u(),Yo=s("p"),Il=c("Token classification evaluator."),zl=u(),Pe=s("p"),Sl=c("This token classification evaluator can currently be loaded from "),Ga=s("a"),Ul=c("evaluator()"),Fl=c(` using the default task name
`),Jo=s("code"),Ml=c("token-classification"),Ol=c("."),Rl=u(),ra=s("p"),Ll=c("Methods in this class assume a data format compatible with the "),la=s("a"),Gl=c("TokenClassificationPipeline"),Vl=c("."),Ql=u(),S=s("div"),$(ia.$$.fragment),Bl=u(),Wo=s("p"),Hl=c("Compute the metric for a given pipeline and dataset combination."),Yl=u(),ca=s("p"),Jl=c("The dataset input and label columns are expected to be formatted as a list of words and a list of labels respectively, following "),da=s("a"),Wl=c("conll2003 dataset"),Kl=c(". Datasets whose inputs are single strings, and labels are a list of offset are not supported."),Xl=u(),$(rt.$$.fragment),Zl=u(),$(lt.$$.fragment),ei=u(),$(it.$$.fragment),Ws=u(),Ce=s("h3"),ct=s("a"),Ko=s("span"),$(pa.$$.fragment),ti=u(),Xo=s("span"),ai=c("TextGenerationEvaluator"),Ks=u(),W=s("div"),$(ua.$$.fragment),oi=u(),K=s("p"),si=c(`Text generation evaluator.
This Text generation evaluator can currently be loaded from `),Va=s("a"),ni=c("evaluator()"),ri=c(` using the default task name
`),Zo=s("code"),li=c("text-generation"),ii=c(`.
Methods in this class assume a data format compatible with the `),ma=s("a"),ci=c("TextGenerationPipeline"),di=c("."),pi=u(),Qa=s("div"),$(fa.$$.fragment),Xs=u(),De=s("h3"),dt=s("a"),es=s("span"),$(ga.$$.fragment),ui=u(),ts=s("span"),mi=c("Text2TextGenerationEvaluator"),Zs=u(),X=s("div"),$(ha.$$.fragment),fi=u(),Z=s("p"),gi=c(`Text2Text generation evaluator.
This Text2Text generation evaluator can currently be loaded from `),Ba=s("a"),hi=c("evaluator()"),vi=c(` using the default task name
`),as=s("code"),_i=c("text2text-generation"),bi=c(`.
Methods in this class assume a data format compatible with the `),va=s("a"),$i=c("Text2TextGenerationPipeline"),wi=c("."),yi=u(),pt=s("div"),$(_a.$$.fragment),Ei=u(),os=s("p"),xi=c("Compute the metric for a given pipeline and dataset combination."),en=u(),Ae=s("h3"),ut=s("a"),ss=s("span"),$(ba.$$.fragment),qi=u(),ns=s("span"),ki=c("SummarizationEvaluator"),tn=u(),ee=s("div"),$($a.$$.fragment),ji=u(),te=s("p"),Ti=c(`Text summarization evaluator.
This text summarization evaluator can currently be loaded from `),Ha=s("a"),Ni=c("evaluator()"),Pi=c(` using the default task name
`),rs=s("code"),Ci=c("summarization"),Di=c(`.
Methods in this class assume a data format compatible with the `),Ya=s("a"),Ai=c("SummarizationEvaluator"),Ii=c("."),zi=u(),mt=s("div"),$(wa.$$.fragment),Si=u(),ls=s("p"),Ui=c("Compute the metric for a given pipeline and dataset combination."),an=u(),Ie=s("h3"),ft=s("a"),is=s("span"),$(ya.$$.fragment),Fi=u(),cs=s("span"),Mi=c("TranslationEvaluator"),on=u(),ae=s("div"),$(Ea.$$.fragment),Oi=u(),oe=s("p"),Ri=c(`Translation evaluator.
This translation generation evaluator can currently be loaded from `),Ja=s("a"),Li=c("evaluator()"),Gi=c(` using the default task name
`),ds=s("code"),Vi=c("translation"),Qi=c(`.
Methods in this class assume a data format compatible with the `),xa=s("a"),Bi=c("TranslationPipeline"),Hi=c("."),Yi=u(),gt=s("div"),$(qa.$$.fragment),Ji=u(),ps=s("p"),Wi=c("Compute the metric for a given pipeline and dataset combination."),sn=u(),ze=s("h3"),ht=s("a"),us=s("span"),$(ka.$$.fragment),Ki=u(),ms=s("span"),Xi=c("AutomaticSpeechRecognitionEvaluator"),nn=u(),se=s("div"),$(ja.$$.fragment),Zi=u(),ne=s("p"),ec=c(`Automatic speech recognition evaluator.
This automatic speech recognition evaluator can currently be loaded from `),Wa=s("a"),tc=c("evaluator()"),ac=c(` using the default task name
`),fs=s("code"),oc=c("automatic-speech-recognition"),sc=c(`.
Methods in this class assume a data format compatible with the `),gs=s("code"),nc=c("AutomaticSpeechRecognitionPipeline"),rc=c("."),lc=u(),ve=s("div"),$(Ta.$$.fragment),ic=u(),hs=s("p"),cc=c("Compute the metric for a given pipeline and dataset combination."),dc=u(),$(vt.$$.fragment),rn=u(),Se=s("h3"),_t=s("a"),vs=s("span"),$(Na.$$.fragment),pc=u(),_s=s("span"),uc=c("AudioClassificationEvaluator"),ln=u(),re=s("div"),$(Pa.$$.fragment),mc=u(),le=s("p"),fc=c(`Audio classification evaluator.
This audio classification evaluator can currently be loaded from `),Ka=s("a"),gc=c("evaluator()"),hc=c(` using the default task name
`),bs=s("code"),vc=c("audio-classification"),_c=c(`.
Methods in this class assume a data format compatible with the `),Ca=s("a"),bc=c("transformers.AudioClassificationPipeline"),$c=c("."),wc=u(),C=s("div"),$(Da.$$.fragment),yc=u(),$s=s("p"),Ec=c("Compute the metric for a given pipeline and dataset combination."),xc=u(),ws=s("p"),qc=c("Examples:"),kc=u(),$(bt.$$.fragment),jc=u(),$($t.$$.fragment),Tc=u(),$(wt.$$.fragment),Nc=u(),$(yt.$$.fragment),this.h()},l(t){const h=up('[data-svelte="svelte-1phssyn"]',document.head);l=n(h,"META",{name:!0,content:!0}),h.forEach(a),v=m(t),i=n(t,"H1",{class:!0});var Aa=r(i);p=n(Aa,"A",{id:!0,class:!0,href:!0});var ys=r(p);_=n(ys,"SPAN",{});var Es=r(_);w(o.$$.fragment,Es),Es.forEach(a),ys.forEach(a),g=m(Aa),z=n(Aa,"SPAN",{});var xs=r(z);P=d(xs,"Evaluator"),xs.forEach(a),Aa.forEach(a),R=m(t),ye=n(t,"P",{});var qs=r(ye);Dn=d(qs,"The evaluator classes for automatic evaluation."),qs.forEach(a),Ss=m(t),Ee=n(t,"H2",{class:!0});var Ia=r(Ee);Me=n(Ia,"A",{id:!0,class:!0,href:!0});var ks=r(Me);vo=n(ks,"SPAN",{});var js=r(vo);w(Pt.$$.fragment,js),js.forEach(a),ks.forEach(a),An=m(Ia),_o=n(Ia,"SPAN",{});var Ts=r(_o);In=d(Ts,"Evaluator classes"),Ts.forEach(a),Ia.forEach(a),Us=m(t),Sa=n(t,"P",{});var Ns=r(Sa);zn=d(Ns,"The main entry point for using the evaluator:"),Ns.forEach(a),Fs=m(t),Q=n(t,"DIV",{class:!0});var Ue=r(Q);w(Ct.$$.fragment,Ue),Sn=m(Ue),B=n(Ue,"P",{});var ie=r(B);Un=d(ie,"Utility factory method to build an "),Ua=n(ie,"A",{href:!0});var Ps=r(Ua);Fn=d(Ps,"Evaluator"),Ps.forEach(a),Mn=d(ie,`.
Evaluators encapsulate a task and a default metric name. They leverage `),bo=n(ie,"CODE",{});var Cs=r(bo);On=d(Cs,"pipeline"),Cs.forEach(a),Rn=d(ie," functionality from "),$o=n(ie,"CODE",{});var Ds=r($o);Ln=d(Ds,"transformers"),Ds.forEach(a),Gn=d(ie,`
to simplify the evaluation of multiple combinations of models, datasets and metrics for a given task.`),ie.forEach(a),Vn=m(Ue),w(Oe.$$.fragment,Ue),Ue.forEach(a),Ms=m(t),Fa=n(t,"P",{});var As=r(Fa);Qn=d(As,"The base class for all evaluator classes:"),As.forEach(a),Os=m(t),T=n(t,"DIV",{class:!0});var N=r(T);w(Dt.$$.fragment,N),Bn=m(N),At=n(N,"P",{});var za=r(At);Hn=d(za,"The "),Ma=n(za,"A",{href:!0});var Is=r(Ma);Yn=d(Is,"Evaluator"),Is.forEach(a),Jn=d(za,` class is the class from which all evaluators inherit. Refer to this class for methods shared across
different evaluators.
Base class implementing evaluator operations.`),za.forEach(a),Wn=m(N),ce=n(N,"DIV",{class:!0});var Fe=r(ce);w(It.$$.fragment,Fe),Kn=m(Fe),wo=n(Fe,"P",{});var Cc=r(wo);Xn=d(Cc,"Ensure the columns required for the evaluation are present in the dataset."),Cc.forEach(a),Zn=m(Fe),w(Re.$$.fragment,Fe),Fe.forEach(a),er=m(N),Le=n(N,"DIV",{class:!0});var dn=r(Le);w(zt.$$.fragment,dn),tr=m(dn),yo=n(dn,"P",{});var Dc=r(yo);ar=d(Dc,"Compute and return metrics."),Dc.forEach(a),dn.forEach(a),or=m(N),de=n(N,"DIV",{class:!0});var Xa=r(de);w(St.$$.fragment,Xa),sr=m(Xa),Ut=n(Xa,"P",{});var pn=r(Ut);nr=d(pn,"Infers which split to use if "),Eo=n(pn,"CODE",{});var Ac=r(Eo);rr=d(Ac,"None"),Ac.forEach(a),lr=d(pn," is given."),pn.forEach(a),ir=m(Xa),w(Ge.$$.fragment,Xa),Xa.forEach(a),cr=m(N),pe=n(N,"DIV",{class:!0});var Za=r(pe);w(Ft.$$.fragment,Za),dr=m(Za),xo=n(Za,"P",{});var Ic=r(xo);pr=d(Ic,"Load dataset with given subset and split."),Ic.forEach(a),ur=m(Za),w(Ve.$$.fragment,Za),Za.forEach(a),mr=m(N),Qe=n(N,"DIV",{class:!0});var un=r(Qe);w(Mt.$$.fragment,un),fr=m(un),Ot=n(un,"P",{});var mn=r(Ot);gr=d(mn,"A core method of the "),qo=n(mn,"CODE",{});var zc=r(qo);hr=d(zc,"Evaluator"),zc.forEach(a),vr=d(mn," class, which processes the pipeline outputs for compatibility with the metric."),mn.forEach(a),un.forEach(a),_r=m(N),ue=n(N,"DIV",{class:!0});var eo=r(ue);w(Rt.$$.fragment,eo),br=m(eo),ko=n(eo,"P",{});var Sc=r(ko);$r=d(Sc,"Prepare data."),Sc.forEach(a),wr=m(eo),w(Be.$$.fragment,eo),eo.forEach(a),yr=m(N),me=n(N,"DIV",{class:!0});var to=r(me);w(Lt.$$.fragment,to),Er=m(to),jo=n(to,"P",{});var Uc=r(jo);xr=d(Uc,"Prepare metric."),Uc.forEach(a),qr=m(to),w(He.$$.fragment,to),to.forEach(a),kr=m(N),fe=n(N,"DIV",{class:!0});var ao=r(fe);w(Gt.$$.fragment,ao),jr=m(ao),To=n(ao,"P",{});var Fc=r(To);Tr=d(Fc,"Prepare pipeline."),Fc.forEach(a),Nr=m(ao),w(Ye.$$.fragment,ao),ao.forEach(a),N.forEach(a),Rs=m(t),xe=n(t,"H2",{class:!0});var fn=r(xe);Je=n(fn,"A",{id:!0,class:!0,href:!0});var Mc=r(Je);No=n(Mc,"SPAN",{});var Oc=r(No);w(Vt.$$.fragment,Oc),Oc.forEach(a),Mc.forEach(a),Pr=m(fn),Po=n(fn,"SPAN",{});var Rc=r(Po);Cr=d(Rc,"The task specific evaluators"),Rc.forEach(a),fn.forEach(a),Ls=m(t),qe=n(t,"H3",{class:!0});var gn=r(qe);We=n(gn,"A",{id:!0,class:!0,href:!0});var Lc=r(We);Co=n(Lc,"SPAN",{});var Gc=r(Co);w(Qt.$$.fragment,Gc),Gc.forEach(a),Lc.forEach(a),Dr=m(gn),Do=n(gn,"SPAN",{});var Vc=r(Do);Ar=d(Vc,"ImageClassificationEvaluator"),Vc.forEach(a),gn.forEach(a),Gs=m(t),H=n(t,"DIV",{class:!0});var oo=r(H);w(Bt.$$.fragment,oo),Ir=m(oo),Y=n(oo,"P",{});var Et=r(Y);zr=d(Et,`Image classification evaluator.
This image classification evaluator can currently be loaded from `),Oa=n(Et,"A",{href:!0});var Qc=r(Oa);Sr=d(Qc,"evaluator()"),Qc.forEach(a),Ur=d(Et,` using the default task name
`),Ao=n(Et,"CODE",{});var Bc=r(Ao);Fr=d(Bc,"image-classification"),Bc.forEach(a),Mr=d(Et,`.
Methods in this class assume a data format compatible with the `),Io=n(Et,"CODE",{});var Hc=r(Io);Or=d(Hc,"ImageClassificationPipeline"),Hc.forEach(a),Rr=d(Et,"."),Et.forEach(a),Lr=m(oo),ge=n(oo,"DIV",{class:!0});var so=r(ge);w(Ht.$$.fragment,so),Gr=m(so),zo=n(so,"P",{});var Yc=r(zo);Vr=d(Yc,"Compute the metric for a given pipeline and dataset combination."),Yc.forEach(a),Qr=m(so),w(Ke.$$.fragment,so),so.forEach(a),oo.forEach(a),Vs=m(t),ke=n(t,"H3",{class:!0});var hn=r(ke);Xe=n(hn,"A",{id:!0,class:!0,href:!0});var Jc=r(Xe);So=n(Jc,"SPAN",{});var Wc=r(So);w(Yt.$$.fragment,Wc),Wc.forEach(a),Jc.forEach(a),Br=m(hn),Uo=n(hn,"SPAN",{});var Kc=r(Uo);Hr=d(Kc,"QuestionAnsweringEvaluator"),Kc.forEach(a),hn.forEach(a),Qs=m(t),U=n(t,"DIV",{class:!0});var _e=r(U);w(Jt.$$.fragment,_e),Yr=m(_e),Wt=n(_e,"P",{});var vn=r(Wt);Jr=d(vn,`Question answering evaluator. This evaluator handles
`),Ze=n(vn,"A",{href:!0,rel:!0});var Pc=r(Ze);Fo=n(Pc,"STRONG",{});var Xc=r(Fo);Wr=d(Xc,"extractive"),Xc.forEach(a),Kr=d(Pc," question answering"),Pc.forEach(a),Xr=d(vn,`,
where the answer to the question is extracted from a context.`),vn.forEach(a),Zr=m(_e),je=n(_e,"P",{});var no=r(je);el=d(no,"This question answering evaluator can currently be loaded from "),Ra=n(no,"A",{href:!0});var Zc=r(Ra);tl=d(Zc,"evaluator()"),Zc.forEach(a),al=d(no,` using the default task name
`),Mo=n(no,"CODE",{});var ed=r(Mo);ol=d(ed,"question-answering"),ed.forEach(a),sl=d(no,"."),no.forEach(a),nl=m(_e),Kt=n(_e,"P",{});var _n=r(Kt);rl=d(_n,`Methods in this class assume a data format compatible with the
`),Xt=n(_n,"A",{href:!0,rel:!0});var td=r(Xt);ll=d(td,"QuestionAnsweringPipeline"),td.forEach(a),il=d(_n,"."),_n.forEach(a),cl=m(_e),M=n(_e,"DIV",{class:!0});var be=r(M);w(Zt.$$.fragment,be),dl=m(be),Oo=n(be,"P",{});var ad=r(Oo);pl=d(ad,"Compute the metric for a given pipeline and dataset combination."),ad.forEach(a),ul=m(be),w(et.$$.fragment,be),ml=m(be),w(tt.$$.fragment,be),fl=m(be),w(at.$$.fragment,be),be.forEach(a),_e.forEach(a),Bs=m(t),Te=n(t,"H3",{class:!0});var bn=r(Te);ot=n(bn,"A",{id:!0,class:!0,href:!0});var od=r(ot);Ro=n(od,"SPAN",{});var sd=r(Ro);w(ea.$$.fragment,sd),sd.forEach(a),od.forEach(a),gl=m(bn),Lo=n(bn,"SPAN",{});var nd=r(Lo);hl=d(nd,"TextClassificationEvaluator"),nd.forEach(a),bn.forEach(a),Hs=m(t),J=n(t,"DIV",{class:!0});var ro=r(J);w(ta.$$.fragment,ro),vl=m(ro),L=n(ro,"P",{});var $e=r(L);_l=d($e,`Text classification evaluator.
This text classification evaluator can currently be loaded from `),La=n($e,"A",{href:!0});var rd=r(La);bl=d(rd,"evaluator()"),rd.forEach(a),$l=d($e,` using the default task name
`),Go=n($e,"CODE",{});var ld=r(Go);wl=d(ld,"text-classification"),ld.forEach(a),yl=d($e," or with a "),Vo=n($e,"CODE",{});var id=r(Vo);El=d(id,'"sentiment-analysis"'),id.forEach(a),xl=d($e,` alias.
Methods in this class assume a data format compatible with the `),aa=n($e,"A",{href:!0,rel:!0});var cd=r(aa);ql=d(cd,"TextClassificationPipeline"),cd.forEach(a),kl=d($e,` - a single textual
feature as input and a categorical label as output.`),$e.forEach(a),jl=m(ro),he=n(ro,"DIV",{class:!0});var lo=r(he);w(oa.$$.fragment,lo),Tl=m(lo),Qo=n(lo,"P",{});var dd=r(Qo);Nl=d(dd,"Compute the metric for a given pipeline and dataset combination."),dd.forEach(a),Pl=m(lo),w(st.$$.fragment,lo),lo.forEach(a),ro.forEach(a),Ys=m(t),Ne=n(t,"H3",{class:!0});var $n=r(Ne);nt=n($n,"A",{id:!0,class:!0,href:!0});var pd=r(nt);Bo=n(pd,"SPAN",{});var ud=r(Bo);w(sa.$$.fragment,ud),ud.forEach(a),pd.forEach(a),Cl=m($n),Ho=n($n,"SPAN",{});var md=r(Ho);Dl=d(md,"TokenClassificationEvaluator"),md.forEach(a),$n.forEach(a),Js=m(t),F=n(t,"DIV",{class:!0});var we=r(F);w(na.$$.fragment,we),Al=m(we),Yo=n(we,"P",{});var fd=r(Yo);Il=d(fd,"Token classification evaluator."),fd.forEach(a),zl=m(we),Pe=n(we,"P",{});var io=r(Pe);Sl=d(io,"This token classification evaluator can currently be loaded from "),Ga=n(io,"A",{href:!0});var gd=r(Ga);Ul=d(gd,"evaluator()"),gd.forEach(a),Fl=d(io,` using the default task name
`),Jo=n(io,"CODE",{});var hd=r(Jo);Ml=d(hd,"token-classification"),hd.forEach(a),Ol=d(io,"."),io.forEach(a),Rl=m(we),ra=n(we,"P",{});var wn=r(ra);Ll=d(wn,"Methods in this class assume a data format compatible with the "),la=n(wn,"A",{href:!0,rel:!0});var vd=r(la);Gl=d(vd,"TokenClassificationPipeline"),vd.forEach(a),Vl=d(wn,"."),wn.forEach(a),Ql=m(we),S=n(we,"DIV",{class:!0});var V=r(S);w(ia.$$.fragment,V),Bl=m(V),Wo=n(V,"P",{});var _d=r(Wo);Hl=d(_d,"Compute the metric for a given pipeline and dataset combination."),_d.forEach(a),Yl=m(V),ca=n(V,"P",{});var yn=r(ca);Jl=d(yn,"The dataset input and label columns are expected to be formatted as a list of words and a list of labels respectively, following "),da=n(yn,"A",{href:!0,rel:!0});var bd=r(da);Wl=d(bd,"conll2003 dataset"),bd.forEach(a),Kl=d(yn,". Datasets whose inputs are single strings, and labels are a list of offset are not supported."),yn.forEach(a),Xl=m(V),w(rt.$$.fragment,V),Zl=m(V),w(lt.$$.fragment,V),ei=m(V),w(it.$$.fragment,V),V.forEach(a),we.forEach(a),Ws=m(t),Ce=n(t,"H3",{class:!0});var En=r(Ce);ct=n(En,"A",{id:!0,class:!0,href:!0});var $d=r(ct);Ko=n($d,"SPAN",{});var wd=r(Ko);w(pa.$$.fragment,wd),wd.forEach(a),$d.forEach(a),ti=m(En),Xo=n(En,"SPAN",{});var yd=r(Xo);ai=d(yd,"TextGenerationEvaluator"),yd.forEach(a),En.forEach(a),Ks=m(t),W=n(t,"DIV",{class:!0});var co=r(W);w(ua.$$.fragment,co),oi=m(co),K=n(co,"P",{});var xt=r(K);si=d(xt,`Text generation evaluator.
This Text generation evaluator can currently be loaded from `),Va=n(xt,"A",{href:!0});var Ed=r(Va);ni=d(Ed,"evaluator()"),Ed.forEach(a),ri=d(xt,` using the default task name
`),Zo=n(xt,"CODE",{});var xd=r(Zo);li=d(xd,"text-generation"),xd.forEach(a),ii=d(xt,`.
Methods in this class assume a data format compatible with the `),ma=n(xt,"A",{href:!0,rel:!0});var qd=r(ma);ci=d(qd,"TextGenerationPipeline"),qd.forEach(a),di=d(xt,"."),xt.forEach(a),pi=m(co),Qa=n(co,"DIV",{class:!0});var kd=r(Qa);w(fa.$$.fragment,kd),kd.forEach(a),co.forEach(a),Xs=m(t),De=n(t,"H3",{class:!0});var xn=r(De);dt=n(xn,"A",{id:!0,class:!0,href:!0});var jd=r(dt);es=n(jd,"SPAN",{});var Td=r(es);w(ga.$$.fragment,Td),Td.forEach(a),jd.forEach(a),ui=m(xn),ts=n(xn,"SPAN",{});var Nd=r(ts);mi=d(Nd,"Text2TextGenerationEvaluator"),Nd.forEach(a),xn.forEach(a),Zs=m(t),X=n(t,"DIV",{class:!0});var po=r(X);w(ha.$$.fragment,po),fi=m(po),Z=n(po,"P",{});var qt=r(Z);gi=d(qt,`Text2Text generation evaluator.
This Text2Text generation evaluator can currently be loaded from `),Ba=n(qt,"A",{href:!0});var Pd=r(Ba);hi=d(Pd,"evaluator()"),Pd.forEach(a),vi=d(qt,` using the default task name
`),as=n(qt,"CODE",{});var Cd=r(as);_i=d(Cd,"text2text-generation"),Cd.forEach(a),bi=d(qt,`.
Methods in this class assume a data format compatible with the `),va=n(qt,"A",{href:!0,rel:!0});var Dd=r(va);$i=d(Dd,"Text2TextGenerationPipeline"),Dd.forEach(a),wi=d(qt,"."),qt.forEach(a),yi=m(po),pt=n(po,"DIV",{class:!0});var qn=r(pt);w(_a.$$.fragment,qn),Ei=m(qn),os=n(qn,"P",{});var Ad=r(os);xi=d(Ad,"Compute the metric for a given pipeline and dataset combination."),Ad.forEach(a),qn.forEach(a),po.forEach(a),en=m(t),Ae=n(t,"H3",{class:!0});var kn=r(Ae);ut=n(kn,"A",{id:!0,class:!0,href:!0});var Id=r(ut);ss=n(Id,"SPAN",{});var zd=r(ss);w(ba.$$.fragment,zd),zd.forEach(a),Id.forEach(a),qi=m(kn),ns=n(kn,"SPAN",{});var Sd=r(ns);ki=d(Sd,"SummarizationEvaluator"),Sd.forEach(a),kn.forEach(a),tn=m(t),ee=n(t,"DIV",{class:!0});var uo=r(ee);w($a.$$.fragment,uo),ji=m(uo),te=n(uo,"P",{});var kt=r(te);Ti=d(kt,`Text summarization evaluator.
This text summarization evaluator can currently be loaded from `),Ha=n(kt,"A",{href:!0});var Ud=r(Ha);Ni=d(Ud,"evaluator()"),Ud.forEach(a),Pi=d(kt,` using the default task name
`),rs=n(kt,"CODE",{});var Fd=r(rs);Ci=d(Fd,"summarization"),Fd.forEach(a),Di=d(kt,`.
Methods in this class assume a data format compatible with the `),Ya=n(kt,"A",{href:!0});var Md=r(Ya);Ai=d(Md,"SummarizationEvaluator"),Md.forEach(a),Ii=d(kt,"."),kt.forEach(a),zi=m(uo),mt=n(uo,"DIV",{class:!0});var jn=r(mt);w(wa.$$.fragment,jn),Si=m(jn),ls=n(jn,"P",{});var Od=r(ls);Ui=d(Od,"Compute the metric for a given pipeline and dataset combination."),Od.forEach(a),jn.forEach(a),uo.forEach(a),an=m(t),Ie=n(t,"H3",{class:!0});var Tn=r(Ie);ft=n(Tn,"A",{id:!0,class:!0,href:!0});var Rd=r(ft);is=n(Rd,"SPAN",{});var Ld=r(is);w(ya.$$.fragment,Ld),Ld.forEach(a),Rd.forEach(a),Fi=m(Tn),cs=n(Tn,"SPAN",{});var Gd=r(cs);Mi=d(Gd,"TranslationEvaluator"),Gd.forEach(a),Tn.forEach(a),on=m(t),ae=n(t,"DIV",{class:!0});var mo=r(ae);w(Ea.$$.fragment,mo),Oi=m(mo),oe=n(mo,"P",{});var jt=r(oe);Ri=d(jt,`Translation evaluator.
This translation generation evaluator can currently be loaded from `),Ja=n(jt,"A",{href:!0});var Vd=r(Ja);Li=d(Vd,"evaluator()"),Vd.forEach(a),Gi=d(jt,` using the default task name
`),ds=n(jt,"CODE",{});var Qd=r(ds);Vi=d(Qd,"translation"),Qd.forEach(a),Qi=d(jt,`.
Methods in this class assume a data format compatible with the `),xa=n(jt,"A",{href:!0,rel:!0});var Bd=r(xa);Bi=d(Bd,"TranslationPipeline"),Bd.forEach(a),Hi=d(jt,"."),jt.forEach(a),Yi=m(mo),gt=n(mo,"DIV",{class:!0});var Nn=r(gt);w(qa.$$.fragment,Nn),Ji=m(Nn),ps=n(Nn,"P",{});var Hd=r(ps);Wi=d(Hd,"Compute the metric for a given pipeline and dataset combination."),Hd.forEach(a),Nn.forEach(a),mo.forEach(a),sn=m(t),ze=n(t,"H3",{class:!0});var Pn=r(ze);ht=n(Pn,"A",{id:!0,class:!0,href:!0});var Yd=r(ht);us=n(Yd,"SPAN",{});var Jd=r(us);w(ka.$$.fragment,Jd),Jd.forEach(a),Yd.forEach(a),Ki=m(Pn),ms=n(Pn,"SPAN",{});var Wd=r(ms);Xi=d(Wd,"AutomaticSpeechRecognitionEvaluator"),Wd.forEach(a),Pn.forEach(a),nn=m(t),se=n(t,"DIV",{class:!0});var fo=r(se);w(ja.$$.fragment,fo),Zi=m(fo),ne=n(fo,"P",{});var Tt=r(ne);ec=d(Tt,`Automatic speech recognition evaluator.
This automatic speech recognition evaluator can currently be loaded from `),Wa=n(Tt,"A",{href:!0});var Kd=r(Wa);tc=d(Kd,"evaluator()"),Kd.forEach(a),ac=d(Tt,` using the default task name
`),fs=n(Tt,"CODE",{});var Xd=r(fs);oc=d(Xd,"automatic-speech-recognition"),Xd.forEach(a),sc=d(Tt,`.
Methods in this class assume a data format compatible with the `),gs=n(Tt,"CODE",{});var Zd=r(gs);nc=d(Zd,"AutomaticSpeechRecognitionPipeline"),Zd.forEach(a),rc=d(Tt,"."),Tt.forEach(a),lc=m(fo),ve=n(fo,"DIV",{class:!0});var go=r(ve);w(Ta.$$.fragment,go),ic=m(go),hs=n(go,"P",{});var ep=r(hs);cc=d(ep,"Compute the metric for a given pipeline and dataset combination."),ep.forEach(a),dc=m(go),w(vt.$$.fragment,go),go.forEach(a),fo.forEach(a),rn=m(t),Se=n(t,"H3",{class:!0});var Cn=r(Se);_t=n(Cn,"A",{id:!0,class:!0,href:!0});var tp=r(_t);vs=n(tp,"SPAN",{});var ap=r(vs);w(Na.$$.fragment,ap),ap.forEach(a),tp.forEach(a),pc=m(Cn),_s=n(Cn,"SPAN",{});var op=r(_s);uc=d(op,"AudioClassificationEvaluator"),op.forEach(a),Cn.forEach(a),ln=m(t),re=n(t,"DIV",{class:!0});var ho=r(re);w(Pa.$$.fragment,ho),mc=m(ho),le=n(ho,"P",{});var Nt=r(le);fc=d(Nt,`Audio classification evaluator.
This audio classification evaluator can currently be loaded from `),Ka=n(Nt,"A",{href:!0});var sp=r(Ka);gc=d(sp,"evaluator()"),sp.forEach(a),hc=d(Nt,` using the default task name
`),bs=n(Nt,"CODE",{});var np=r(bs);vc=d(np,"audio-classification"),np.forEach(a),_c=d(Nt,`.
Methods in this class assume a data format compatible with the `),Ca=n(Nt,"A",{href:!0,rel:!0});var rp=r(Ca);bc=d(rp,"transformers.AudioClassificationPipeline"),rp.forEach(a),$c=d(Nt,"."),Nt.forEach(a),wc=m(ho),C=n(ho,"DIV",{class:!0});var O=r(C);w(Da.$$.fragment,O),yc=m(O),$s=n(O,"P",{});var lp=r($s);Ec=d(lp,"Compute the metric for a given pipeline and dataset combination."),lp.forEach(a),xc=m(O),ws=n(O,"P",{});var ip=r(ws);qc=d(ip,"Examples:"),ip.forEach(a),kc=m(O),w(bt.$$.fragment,O),jc=m(O),w($t.$$.fragment,O),Tc=m(O),w(wt.$$.fragment,O),Nc=m(O),w(yt.$$.fragment,O),O.forEach(a),ho.forEach(a),this.h()},h(){f(l,"name","hf:doc:metadata"),f(l,"content",JSON.stringify(Up)),f(p,"id","evaluator"),f(p,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),f(p,"href","#evaluator"),f(i,"class","relative group"),f(Me,"id","evaluate.evaluator"),f(Me,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),f(Me,"href","#evaluate.evaluator"),f(Ee,"class","relative group"),f(Ua,"href","/docs/evaluate/main/en/package_reference/evaluator_classes#evaluate.Evaluator"),f(Q,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(Ma,"href","/docs/evaluate/main/en/package_reference/evaluator_classes#evaluate.Evaluator"),f(ce,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(Le,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(de,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(pe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(Qe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(ue,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(me,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(fe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(T,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(Je,"id","the-task-specific-evaluators"),f(Je,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),f(Je,"href","#the-task-specific-evaluators"),f(xe,"class","relative group"),f(We,"id","evaluate.ImageClassificationEvaluator"),f(We,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),f(We,"href","#evaluate.ImageClassificationEvaluator"),f(qe,"class","relative group"),f(Oa,"href","/docs/evaluate/main/en/package_reference/evaluator_classes#evaluate.evaluator"),f(ge,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(H,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(Xe,"id","evaluate.QuestionAnsweringEvaluator"),f(Xe,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),f(Xe,"href","#evaluate.QuestionAnsweringEvaluator"),f(ke,"class","relative group"),f(Ze,"href","https://huggingface.co/docs/transformers/task_summary#extractive-question-answering"),f(Ze,"rel","nofollow"),f(Ra,"href","/docs/evaluate/main/en/package_reference/evaluator_classes#evaluate.evaluator"),f(Xt,"href","https://huggingface.co/docs/transformers/main/en/main_classes/pipelines#transformers.QuestionAnsweringPipeline"),f(Xt,"rel","nofollow"),f(M,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(U,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(ot,"id","evaluate.TextClassificationEvaluator"),f(ot,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),f(ot,"href","#evaluate.TextClassificationEvaluator"),f(Te,"class","relative group"),f(La,"href","/docs/evaluate/main/en/package_reference/evaluator_classes#evaluate.evaluator"),f(aa,"href","https://huggingface.co/docs/transformers/main/en/main_classes/pipelines#transformers.TextClassificationPipeline"),f(aa,"rel","nofollow"),f(he,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(J,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(nt,"id","evaluate.TokenClassificationEvaluator"),f(nt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),f(nt,"href","#evaluate.TokenClassificationEvaluator"),f(Ne,"class","relative group"),f(Ga,"href","/docs/evaluate/main/en/package_reference/evaluator_classes#evaluate.evaluator"),f(la,"href","https://huggingface.co/docs/transformers/main/en/main_classes/pipelines#transformers.TokenClassificationPipeline"),f(la,"rel","nofollow"),f(da,"href","https://huggingface.co/datasets/conll2003"),f(da,"rel","nofollow"),f(S,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(F,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(ct,"id","evaluate.TextGenerationEvaluator"),f(ct,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),f(ct,"href","#evaluate.TextGenerationEvaluator"),f(Ce,"class","relative group"),f(Va,"href","/docs/evaluate/main/en/package_reference/evaluator_classes#evaluate.evaluator"),f(ma,"href","https://huggingface.co/docs/transformers/main/en/main_classes/pipelines#transformers.TextGenerationPipeline"),f(ma,"rel","nofollow"),f(Qa,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(W,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(dt,"id","evaluate.Text2TextGenerationEvaluator"),f(dt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),f(dt,"href","#evaluate.Text2TextGenerationEvaluator"),f(De,"class","relative group"),f(Ba,"href","/docs/evaluate/main/en/package_reference/evaluator_classes#evaluate.evaluator"),f(va,"href","https://huggingface.co/docs/transformers/main/en/main_classes/pipelines#transformers.Text2TextGenerationPipeline"),f(va,"rel","nofollow"),f(pt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(X,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(ut,"id","evaluate.SummarizationEvaluator"),f(ut,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),f(ut,"href","#evaluate.SummarizationEvaluator"),f(Ae,"class","relative group"),f(Ha,"href","/docs/evaluate/main/en/package_reference/evaluator_classes#evaluate.evaluator"),f(Ya,"href","/docs/evaluate/main/en/package_reference/evaluator_classes#evaluate.SummarizationEvaluator"),f(mt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(ee,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(ft,"id","evaluate.TranslationEvaluator"),f(ft,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),f(ft,"href","#evaluate.TranslationEvaluator"),f(Ie,"class","relative group"),f(Ja,"href","/docs/evaluate/main/en/package_reference/evaluator_classes#evaluate.evaluator"),f(xa,"href","https://huggingface.co/docs/transformers/main/en/main_classes/pipelines#transformers.TranslationPipeline"),f(xa,"rel","nofollow"),f(gt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(ae,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(ht,"id","evaluate.AutomaticSpeechRecognitionEvaluator"),f(ht,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),f(ht,"href","#evaluate.AutomaticSpeechRecognitionEvaluator"),f(ze,"class","relative group"),f(Wa,"href","/docs/evaluate/main/en/package_reference/evaluator_classes#evaluate.evaluator"),f(ve,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(se,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(_t,"id","evaluate.AudioClassificationEvaluator"),f(_t,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),f(_t,"href","#evaluate.AudioClassificationEvaluator"),f(Se,"class","relative group"),f(Ka,"href","/docs/evaluate/main/en/package_reference/evaluator_classes#evaluate.evaluator"),f(Ca,"href","https://huggingface.co/docs/transformers/main/en/main_classes/pipelines#transformers.AudioClassificationPipeline"),f(Ca,"rel","nofollow"),f(C,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(re,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(t,h){e(document.head,l),b(t,v,h),b(t,i,h),e(i,p),e(p,_),y(o,_,null),e(i,g),e(i,z),e(z,P),b(t,R,h),b(t,ye,h),e(ye,Dn),b(t,Ss,h),b(t,Ee,h),e(Ee,Me),e(Me,vo),y(Pt,vo,null),e(Ee,An),e(Ee,_o),e(_o,In),b(t,Us,h),b(t,Sa,h),e(Sa,zn),b(t,Fs,h),b(t,Q,h),y(Ct,Q,null),e(Q,Sn),e(Q,B),e(B,Un),e(B,Ua),e(Ua,Fn),e(B,Mn),e(B,bo),e(bo,On),e(B,Rn),e(B,$o),e($o,Ln),e(B,Gn),e(Q,Vn),y(Oe,Q,null),b(t,Ms,h),b(t,Fa,h),e(Fa,Qn),b(t,Os,h),b(t,T,h),y(Dt,T,null),e(T,Bn),e(T,At),e(At,Hn),e(At,Ma),e(Ma,Yn),e(At,Jn),e(T,Wn),e(T,ce),y(It,ce,null),e(ce,Kn),e(ce,wo),e(wo,Xn),e(ce,Zn),y(Re,ce,null),e(T,er),e(T,Le),y(zt,Le,null),e(Le,tr),e(Le,yo),e(yo,ar),e(T,or),e(T,de),y(St,de,null),e(de,sr),e(de,Ut),e(Ut,nr),e(Ut,Eo),e(Eo,rr),e(Ut,lr),e(de,ir),y(Ge,de,null),e(T,cr),e(T,pe),y(Ft,pe,null),e(pe,dr),e(pe,xo),e(xo,pr),e(pe,ur),y(Ve,pe,null),e(T,mr),e(T,Qe),y(Mt,Qe,null),e(Qe,fr),e(Qe,Ot),e(Ot,gr),e(Ot,qo),e(qo,hr),e(Ot,vr),e(T,_r),e(T,ue),y(Rt,ue,null),e(ue,br),e(ue,ko),e(ko,$r),e(ue,wr),y(Be,ue,null),e(T,yr),e(T,me),y(Lt,me,null),e(me,Er),e(me,jo),e(jo,xr),e(me,qr),y(He,me,null),e(T,kr),e(T,fe),y(Gt,fe,null),e(fe,jr),e(fe,To),e(To,Tr),e(fe,Nr),y(Ye,fe,null),b(t,Rs,h),b(t,xe,h),e(xe,Je),e(Je,No),y(Vt,No,null),e(xe,Pr),e(xe,Po),e(Po,Cr),b(t,Ls,h),b(t,qe,h),e(qe,We),e(We,Co),y(Qt,Co,null),e(qe,Dr),e(qe,Do),e(Do,Ar),b(t,Gs,h),b(t,H,h),y(Bt,H,null),e(H,Ir),e(H,Y),e(Y,zr),e(Y,Oa),e(Oa,Sr),e(Y,Ur),e(Y,Ao),e(Ao,Fr),e(Y,Mr),e(Y,Io),e(Io,Or),e(Y,Rr),e(H,Lr),e(H,ge),y(Ht,ge,null),e(ge,Gr),e(ge,zo),e(zo,Vr),e(ge,Qr),y(Ke,ge,null),b(t,Vs,h),b(t,ke,h),e(ke,Xe),e(Xe,So),y(Yt,So,null),e(ke,Br),e(ke,Uo),e(Uo,Hr),b(t,Qs,h),b(t,U,h),y(Jt,U,null),e(U,Yr),e(U,Wt),e(Wt,Jr),e(Wt,Ze),e(Ze,Fo),e(Fo,Wr),e(Ze,Kr),e(Wt,Xr),e(U,Zr),e(U,je),e(je,el),e(je,Ra),e(Ra,tl),e(je,al),e(je,Mo),e(Mo,ol),e(je,sl),e(U,nl),e(U,Kt),e(Kt,rl),e(Kt,Xt),e(Xt,ll),e(Kt,il),e(U,cl),e(U,M),y(Zt,M,null),e(M,dl),e(M,Oo),e(Oo,pl),e(M,ul),y(et,M,null),e(M,ml),y(tt,M,null),e(M,fl),y(at,M,null),b(t,Bs,h),b(t,Te,h),e(Te,ot),e(ot,Ro),y(ea,Ro,null),e(Te,gl),e(Te,Lo),e(Lo,hl),b(t,Hs,h),b(t,J,h),y(ta,J,null),e(J,vl),e(J,L),e(L,_l),e(L,La),e(La,bl),e(L,$l),e(L,Go),e(Go,wl),e(L,yl),e(L,Vo),e(Vo,El),e(L,xl),e(L,aa),e(aa,ql),e(L,kl),e(J,jl),e(J,he),y(oa,he,null),e(he,Tl),e(he,Qo),e(Qo,Nl),e(he,Pl),y(st,he,null),b(t,Ys,h),b(t,Ne,h),e(Ne,nt),e(nt,Bo),y(sa,Bo,null),e(Ne,Cl),e(Ne,Ho),e(Ho,Dl),b(t,Js,h),b(t,F,h),y(na,F,null),e(F,Al),e(F,Yo),e(Yo,Il),e(F,zl),e(F,Pe),e(Pe,Sl),e(Pe,Ga),e(Ga,Ul),e(Pe,Fl),e(Pe,Jo),e(Jo,Ml),e(Pe,Ol),e(F,Rl),e(F,ra),e(ra,Ll),e(ra,la),e(la,Gl),e(ra,Vl),e(F,Ql),e(F,S),y(ia,S,null),e(S,Bl),e(S,Wo),e(Wo,Hl),e(S,Yl),e(S,ca),e(ca,Jl),e(ca,da),e(da,Wl),e(ca,Kl),e(S,Xl),y(rt,S,null),e(S,Zl),y(lt,S,null),e(S,ei),y(it,S,null),b(t,Ws,h),b(t,Ce,h),e(Ce,ct),e(ct,Ko),y(pa,Ko,null),e(Ce,ti),e(Ce,Xo),e(Xo,ai),b(t,Ks,h),b(t,W,h),y(ua,W,null),e(W,oi),e(W,K),e(K,si),e(K,Va),e(Va,ni),e(K,ri),e(K,Zo),e(Zo,li),e(K,ii),e(K,ma),e(ma,ci),e(K,di),e(W,pi),e(W,Qa),y(fa,Qa,null),b(t,Xs,h),b(t,De,h),e(De,dt),e(dt,es),y(ga,es,null),e(De,ui),e(De,ts),e(ts,mi),b(t,Zs,h),b(t,X,h),y(ha,X,null),e(X,fi),e(X,Z),e(Z,gi),e(Z,Ba),e(Ba,hi),e(Z,vi),e(Z,as),e(as,_i),e(Z,bi),e(Z,va),e(va,$i),e(Z,wi),e(X,yi),e(X,pt),y(_a,pt,null),e(pt,Ei),e(pt,os),e(os,xi),b(t,en,h),b(t,Ae,h),e(Ae,ut),e(ut,ss),y(ba,ss,null),e(Ae,qi),e(Ae,ns),e(ns,ki),b(t,tn,h),b(t,ee,h),y($a,ee,null),e(ee,ji),e(ee,te),e(te,Ti),e(te,Ha),e(Ha,Ni),e(te,Pi),e(te,rs),e(rs,Ci),e(te,Di),e(te,Ya),e(Ya,Ai),e(te,Ii),e(ee,zi),e(ee,mt),y(wa,mt,null),e(mt,Si),e(mt,ls),e(ls,Ui),b(t,an,h),b(t,Ie,h),e(Ie,ft),e(ft,is),y(ya,is,null),e(Ie,Fi),e(Ie,cs),e(cs,Mi),b(t,on,h),b(t,ae,h),y(Ea,ae,null),e(ae,Oi),e(ae,oe),e(oe,Ri),e(oe,Ja),e(Ja,Li),e(oe,Gi),e(oe,ds),e(ds,Vi),e(oe,Qi),e(oe,xa),e(xa,Bi),e(oe,Hi),e(ae,Yi),e(ae,gt),y(qa,gt,null),e(gt,Ji),e(gt,ps),e(ps,Wi),b(t,sn,h),b(t,ze,h),e(ze,ht),e(ht,us),y(ka,us,null),e(ze,Ki),e(ze,ms),e(ms,Xi),b(t,nn,h),b(t,se,h),y(ja,se,null),e(se,Zi),e(se,ne),e(ne,ec),e(ne,Wa),e(Wa,tc),e(ne,ac),e(ne,fs),e(fs,oc),e(ne,sc),e(ne,gs),e(gs,nc),e(ne,rc),e(se,lc),e(se,ve),y(Ta,ve,null),e(ve,ic),e(ve,hs),e(hs,cc),e(ve,dc),y(vt,ve,null),b(t,rn,h),b(t,Se,h),e(Se,_t),e(_t,vs),y(Na,vs,null),e(Se,pc),e(Se,_s),e(_s,uc),b(t,ln,h),b(t,re,h),y(Pa,re,null),e(re,mc),e(re,le),e(le,fc),e(le,Ka),e(Ka,gc),e(le,hc),e(le,bs),e(bs,vc),e(le,_c),e(le,Ca),e(Ca,bc),e(le,$c),e(re,wc),e(re,C),y(Da,C,null),e(C,yc),e(C,$s),e($s,Ec),e(C,xc),e(C,ws),e(ws,qc),e(C,kc),y(bt,C,null),e(C,jc),y($t,C,null),e(C,Tc),y(wt,C,null),e(C,Nc),y(yt,C,null),cn=!0},p(t,[h]){const Aa={};h&2&&(Aa.$$scope={dirty:h,ctx:t}),Oe.$set(Aa);const ys={};h&2&&(ys.$$scope={dirty:h,ctx:t}),Re.$set(ys);const Es={};h&2&&(Es.$$scope={dirty:h,ctx:t}),Ge.$set(Es);const xs={};h&2&&(xs.$$scope={dirty:h,ctx:t}),Ve.$set(xs);const qs={};h&2&&(qs.$$scope={dirty:h,ctx:t}),Be.$set(qs);const Ia={};h&2&&(Ia.$$scope={dirty:h,ctx:t}),He.$set(Ia);const ks={};h&2&&(ks.$$scope={dirty:h,ctx:t}),Ye.$set(ks);const js={};h&2&&(js.$$scope={dirty:h,ctx:t}),Ke.$set(js);const Ts={};h&2&&(Ts.$$scope={dirty:h,ctx:t}),et.$set(Ts);const Ns={};h&2&&(Ns.$$scope={dirty:h,ctx:t}),tt.$set(Ns);const Ue={};h&2&&(Ue.$$scope={dirty:h,ctx:t}),at.$set(Ue);const ie={};h&2&&(ie.$$scope={dirty:h,ctx:t}),st.$set(ie);const Ps={};h&2&&(Ps.$$scope={dirty:h,ctx:t}),rt.$set(Ps);const Cs={};h&2&&(Cs.$$scope={dirty:h,ctx:t}),lt.$set(Cs);const Ds={};h&2&&(Ds.$$scope={dirty:h,ctx:t}),it.$set(Ds);const As={};h&2&&(As.$$scope={dirty:h,ctx:t}),vt.$set(As);const N={};h&2&&(N.$$scope={dirty:h,ctx:t}),bt.$set(N);const za={};h&2&&(za.$$scope={dirty:h,ctx:t}),$t.$set(za);const Is={};h&2&&(Is.$$scope={dirty:h,ctx:t}),wt.$set(Is);const Fe={};h&2&&(Fe.$$scope={dirty:h,ctx:t}),yt.$set(Fe)},i(t){cn||(E(o.$$.fragment,t),E(Pt.$$.fragment,t),E(Ct.$$.fragment,t),E(Oe.$$.fragment,t),E(Dt.$$.fragment,t),E(It.$$.fragment,t),E(Re.$$.fragment,t),E(zt.$$.fragment,t),E(St.$$.fragment,t),E(Ge.$$.fragment,t),E(Ft.$$.fragment,t),E(Ve.$$.fragment,t),E(Mt.$$.fragment,t),E(Rt.$$.fragment,t),E(Be.$$.fragment,t),E(Lt.$$.fragment,t),E(He.$$.fragment,t),E(Gt.$$.fragment,t),E(Ye.$$.fragment,t),E(Vt.$$.fragment,t),E(Qt.$$.fragment,t),E(Bt.$$.fragment,t),E(Ht.$$.fragment,t),E(Ke.$$.fragment,t),E(Yt.$$.fragment,t),E(Jt.$$.fragment,t),E(Zt.$$.fragment,t),E(et.$$.fragment,t),E(tt.$$.fragment,t),E(at.$$.fragment,t),E(ea.$$.fragment,t),E(ta.$$.fragment,t),E(oa.$$.fragment,t),E(st.$$.fragment,t),E(sa.$$.fragment,t),E(na.$$.fragment,t),E(ia.$$.fragment,t),E(rt.$$.fragment,t),E(lt.$$.fragment,t),E(it.$$.fragment,t),E(pa.$$.fragment,t),E(ua.$$.fragment,t),E(fa.$$.fragment,t),E(ga.$$.fragment,t),E(ha.$$.fragment,t),E(_a.$$.fragment,t),E(ba.$$.fragment,t),E($a.$$.fragment,t),E(wa.$$.fragment,t),E(ya.$$.fragment,t),E(Ea.$$.fragment,t),E(qa.$$.fragment,t),E(ka.$$.fragment,t),E(ja.$$.fragment,t),E(Ta.$$.fragment,t),E(vt.$$.fragment,t),E(Na.$$.fragment,t),E(Pa.$$.fragment,t),E(Da.$$.fragment,t),E(bt.$$.fragment,t),E($t.$$.fragment,t),E(wt.$$.fragment,t),E(yt.$$.fragment,t),cn=!0)},o(t){x(o.$$.fragment,t),x(Pt.$$.fragment,t),x(Ct.$$.fragment,t),x(Oe.$$.fragment,t),x(Dt.$$.fragment,t),x(It.$$.fragment,t),x(Re.$$.fragment,t),x(zt.$$.fragment,t),x(St.$$.fragment,t),x(Ge.$$.fragment,t),x(Ft.$$.fragment,t),x(Ve.$$.fragment,t),x(Mt.$$.fragment,t),x(Rt.$$.fragment,t),x(Be.$$.fragment,t),x(Lt.$$.fragment,t),x(He.$$.fragment,t),x(Gt.$$.fragment,t),x(Ye.$$.fragment,t),x(Vt.$$.fragment,t),x(Qt.$$.fragment,t),x(Bt.$$.fragment,t),x(Ht.$$.fragment,t),x(Ke.$$.fragment,t),x(Yt.$$.fragment,t),x(Jt.$$.fragment,t),x(Zt.$$.fragment,t),x(et.$$.fragment,t),x(tt.$$.fragment,t),x(at.$$.fragment,t),x(ea.$$.fragment,t),x(ta.$$.fragment,t),x(oa.$$.fragment,t),x(st.$$.fragment,t),x(sa.$$.fragment,t),x(na.$$.fragment,t),x(ia.$$.fragment,t),x(rt.$$.fragment,t),x(lt.$$.fragment,t),x(it.$$.fragment,t),x(pa.$$.fragment,t),x(ua.$$.fragment,t),x(fa.$$.fragment,t),x(ga.$$.fragment,t),x(ha.$$.fragment,t),x(_a.$$.fragment,t),x(ba.$$.fragment,t),x($a.$$.fragment,t),x(wa.$$.fragment,t),x(ya.$$.fragment,t),x(Ea.$$.fragment,t),x(qa.$$.fragment,t),x(ka.$$.fragment,t),x(ja.$$.fragment,t),x(Ta.$$.fragment,t),x(vt.$$.fragment,t),x(Na.$$.fragment,t),x(Pa.$$.fragment,t),x(Da.$$.fragment,t),x(bt.$$.fragment,t),x($t.$$.fragment,t),x(wt.$$.fragment,t),x(yt.$$.fragment,t),cn=!1},d(t){a(l),t&&a(v),t&&a(i),q(o),t&&a(R),t&&a(ye),t&&a(Ss),t&&a(Ee),q(Pt),t&&a(Us),t&&a(Sa),t&&a(Fs),t&&a(Q),q(Ct),q(Oe),t&&a(Ms),t&&a(Fa),t&&a(Os),t&&a(T),q(Dt),q(It),q(Re),q(zt),q(St),q(Ge),q(Ft),q(Ve),q(Mt),q(Rt),q(Be),q(Lt),q(He),q(Gt),q(Ye),t&&a(Rs),t&&a(xe),q(Vt),t&&a(Ls),t&&a(qe),q(Qt),t&&a(Gs),t&&a(H),q(Bt),q(Ht),q(Ke),t&&a(Vs),t&&a(ke),q(Yt),t&&a(Qs),t&&a(U),q(Jt),q(Zt),q(et),q(tt),q(at),t&&a(Bs),t&&a(Te),q(ea),t&&a(Hs),t&&a(J),q(ta),q(oa),q(st),t&&a(Ys),t&&a(Ne),q(sa),t&&a(Js),t&&a(F),q(na),q(ia),q(rt),q(lt),q(it),t&&a(Ws),t&&a(Ce),q(pa),t&&a(Ks),t&&a(W),q(ua),q(fa),t&&a(Xs),t&&a(De),q(ga),t&&a(Zs),t&&a(X),q(ha),q(_a),t&&a(en),t&&a(Ae),q(ba),t&&a(tn),t&&a(ee),q($a),q(wa),t&&a(an),t&&a(Ie),q(ya),t&&a(on),t&&a(ae),q(Ea),q(qa),t&&a(sn),t&&a(ze),q(ka),t&&a(nn),t&&a(se),q(ja),q(Ta),q(vt),t&&a(rn),t&&a(Se),q(Na),t&&a(ln),t&&a(re),q(Pa),q(Da),q(bt),q($t),q(wt),q(yt)}}}const Up={local:"evaluator",sections:[{local:"evaluate.evaluator",title:"Evaluator classes"},{local:"the-task-specific-evaluators",sections:[{local:"evaluate.ImageClassificationEvaluator",title:"ImageClassificationEvaluator"},{local:"evaluate.QuestionAnsweringEvaluator",title:"QuestionAnsweringEvaluator"},{local:"evaluate.TextClassificationEvaluator",title:"TextClassificationEvaluator"},{local:"evaluate.TokenClassificationEvaluator",title:"TokenClassificationEvaluator"},{local:"evaluate.TextGenerationEvaluator",title:"TextGenerationEvaluator"},{local:"evaluate.Text2TextGenerationEvaluator",title:"Text2TextGenerationEvaluator"},{local:"evaluate.SummarizationEvaluator",title:"SummarizationEvaluator"},{local:"evaluate.TranslationEvaluator",title:"TranslationEvaluator"},{local:"evaluate.AutomaticSpeechRecognitionEvaluator",title:"AutomaticSpeechRecognitionEvaluator"},{local:"evaluate.AudioClassificationEvaluator",title:"AudioClassificationEvaluator"}],title:"The task specific evaluators"}],title:"Evaluator"};function Fp(k){return mp(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Qp extends cp{constructor(l){super();dp(this,l,Fp,Sp,pp,{})}}export{Qp as default,Up as metadata};
